/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { CreateKeyOption } from '../models';
import { CreateOrgOption } from '../models';
import { CreateRepoOption } from '../models';
import { CreateUserOption } from '../models';
import { Cron } from '../models';
import { EditUserOption } from '../models';
import { Organization } from '../models';
import { PublicKey } from '../models';
import { Repository } from '../models';
import { User } from '../models';
/**
 * AdminApi - axios parameter creator
 * @export
 */
export declare const AdminApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Adopt unadopted files as a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminAdoptRepository: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create an organization
     * @param {CreateOrgOption} body
     * @param {string} username username of the user that will own the created organization
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreateOrg: (body: CreateOrgOption, username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add a public key on behalf of a user
     * @param {string} username username of the user
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreatePublicKey: (username: string, body?: CreateKeyOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a repository on behalf of a user
     * @param {CreateRepoOption} body
     * @param {string} username username of the user. This user will own the created repository
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreateRepo: (body: CreateRepoOption, username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a user
     * @param {CreateUserOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreateUser: (body?: CreateUserOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List cron tasks
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCronList: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Run cron task
     * @param {string} task task to run
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCronRun: (task: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete unadopted files
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminDeleteUnadoptedRepository: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a user
     * @param {string} username username of user to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminDeleteUser: (username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a user's public key
     * @param {string} username username of user
     * @param {number} id id of the key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminDeleteUserPublicKey: (username: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Edit an existing user
     * @param {string} username username of user to edit
     * @param {EditUserOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminEditUser: (username: string, body?: EditUserOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List all organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminGetAllOrgs: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List all users
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminGetAllUsers: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List unadopted repositories
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {string} [pattern] pattern of repositories to search for
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminUnadoptedList: (page?: number, limit?: number, pattern?: string, options?: any) => Promise<RequestArgs>;
};
/**
 * AdminApi - functional programming interface
 * @export
 */
export declare const AdminApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Adopt unadopted files as a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminAdoptRepository(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Create an organization
     * @param {CreateOrgOption} body
     * @param {string} username username of the user that will own the created organization
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreateOrg(body: CreateOrgOption, username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Organization>>;
    /**
     *
     * @summary Add a public key on behalf of a user
     * @param {string} username username of the user
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreatePublicKey(username: string, body?: CreateKeyOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PublicKey>>;
    /**
     *
     * @summary Create a repository on behalf of a user
     * @param {CreateRepoOption} body
     * @param {string} username username of the user. This user will own the created repository
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreateRepo(body: CreateRepoOption, username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Repository>>;
    /**
     *
     * @summary Create a user
     * @param {CreateUserOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreateUser(body?: CreateUserOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<User>>;
    /**
     *
     * @summary List cron tasks
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCronList(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Cron>>>;
    /**
     *
     * @summary Run cron task
     * @param {string} task task to run
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCronRun(task: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete unadopted files
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminDeleteUnadoptedRepository(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a user
     * @param {string} username username of user to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminDeleteUser(username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a user's public key
     * @param {string} username username of user
     * @param {number} id id of the key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminDeleteUserPublicKey(username: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Edit an existing user
     * @param {string} username username of user to edit
     * @param {EditUserOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminEditUser(username: string, body?: EditUserOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<User>>;
    /**
     *
     * @summary List all organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminGetAllOrgs(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Organization>>>;
    /**
     *
     * @summary List all users
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminGetAllUsers(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary List unadopted repositories
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {string} [pattern] pattern of repositories to search for
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminUnadoptedList(page?: number, limit?: number, pattern?: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<string>>>;
};
/**
 * AdminApi - factory interface
 * @export
 */
export declare const AdminApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Adopt unadopted files as a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminAdoptRepository(owner: string, repo: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Create an organization
     * @param {CreateOrgOption} body
     * @param {string} username username of the user that will own the created organization
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreateOrg(body: CreateOrgOption, username: string, options?: any): AxiosPromise<Organization>;
    /**
     *
     * @summary Add a public key on behalf of a user
     * @param {string} username username of the user
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreatePublicKey(username: string, body?: CreateKeyOption, options?: any): AxiosPromise<PublicKey>;
    /**
     *
     * @summary Create a repository on behalf of a user
     * @param {CreateRepoOption} body
     * @param {string} username username of the user. This user will own the created repository
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreateRepo(body: CreateRepoOption, username: string, options?: any): AxiosPromise<Repository>;
    /**
     *
     * @summary Create a user
     * @param {CreateUserOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCreateUser(body?: CreateUserOption, options?: any): AxiosPromise<User>;
    /**
     *
     * @summary List cron tasks
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCronList(page?: number, limit?: number, options?: any): AxiosPromise<Array<Cron>>;
    /**
     *
     * @summary Run cron task
     * @param {string} task task to run
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminCronRun(task: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete unadopted files
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminDeleteUnadoptedRepository(owner: string, repo: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a user
     * @param {string} username username of user to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminDeleteUser(username: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a user's public key
     * @param {string} username username of user
     * @param {number} id id of the key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminDeleteUserPublicKey(username: string, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Edit an existing user
     * @param {string} username username of user to edit
     * @param {EditUserOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminEditUser(username: string, body?: EditUserOption, options?: any): AxiosPromise<User>;
    /**
     *
     * @summary List all organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminGetAllOrgs(page?: number, limit?: number, options?: any): AxiosPromise<Array<Organization>>;
    /**
     *
     * @summary List all users
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminGetAllUsers(page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary List unadopted repositories
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {string} [pattern] pattern of repositories to search for
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    adminUnadoptedList(page?: number, limit?: number, pattern?: string, options?: any): AxiosPromise<Array<string>>;
};
/**
 * AdminApi - object-oriented interface
 * @export
 * @class AdminApi
 * @extends {BaseAPI}
 */
export declare class AdminApi extends BaseAPI {
    /**
     *
     * @summary Adopt unadopted files as a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminAdoptRepository(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Create an organization
     * @param {CreateOrgOption} body
     * @param {string} username username of the user that will own the created organization
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminCreateOrg(body: CreateOrgOption, username: string, options?: any): Promise<import("axios").AxiosResponse<Organization>>;
    /**
     *
     * @summary Add a public key on behalf of a user
     * @param {string} username username of the user
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminCreatePublicKey(username: string, body?: CreateKeyOption, options?: any): Promise<import("axios").AxiosResponse<PublicKey>>;
    /**
     *
     * @summary Create a repository on behalf of a user
     * @param {CreateRepoOption} body
     * @param {string} username username of the user. This user will own the created repository
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminCreateRepo(body: CreateRepoOption, username: string, options?: any): Promise<import("axios").AxiosResponse<Repository>>;
    /**
     *
     * @summary Create a user
     * @param {CreateUserOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminCreateUser(body?: CreateUserOption, options?: any): Promise<import("axios").AxiosResponse<User>>;
    /**
     *
     * @summary List cron tasks
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminCronList(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Cron[]>>;
    /**
     *
     * @summary Run cron task
     * @param {string} task task to run
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminCronRun(task: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete unadopted files
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminDeleteUnadoptedRepository(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a user
     * @param {string} username username of user to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminDeleteUser(username: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a user's public key
     * @param {string} username username of user
     * @param {number} id id of the key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminDeleteUserPublicKey(username: string, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Edit an existing user
     * @param {string} username username of user to edit
     * @param {EditUserOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminEditUser(username: string, body?: EditUserOption, options?: any): Promise<import("axios").AxiosResponse<User>>;
    /**
     *
     * @summary List all organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminGetAllOrgs(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Organization[]>>;
    /**
     *
     * @summary List all users
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminGetAllUsers(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary List unadopted repositories
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {string} [pattern] pattern of repositories to search for
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    adminUnadoptedList(page?: number, limit?: number, pattern?: string, options?: any): Promise<import("axios").AxiosResponse<string[]>>;
}
