/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { AddTimeOption } from '../models';
import { Comment } from '../models';
import { CreateIssueCommentOption } from '../models';
import { CreateIssueOption } from '../models';
import { CreateLabelOption } from '../models';
import { CreateMilestoneOption } from '../models';
import { EditDeadlineOption } from '../models';
import { EditIssueCommentOption } from '../models';
import { EditIssueOption } from '../models';
import { EditLabelOption } from '../models';
import { EditMilestoneOption } from '../models';
import { EditReactionOption } from '../models';
import { Issue } from '../models';
import { IssueDeadline } from '../models';
import { IssueLabelsOption } from '../models';
import { Label } from '../models';
import { Milestone } from '../models';
import { Reaction } from '../models';
import { TrackedTime } from '../models';
import { User } from '../models';
import { WatchInfo } from '../models';
/**
 * IssueApi - axios parameter creator
 * @export
 */
export declare const IssueApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Add a label to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {IssueLabelsOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueAddLabel: (owner: string, repo: string, index: number, body?: IssueLabelsOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Subscribe user to issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} user user to subscribe
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueAddSubscription: (owner: string, repo: string, index: number, user: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add tracked time to a issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {AddTimeOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueAddTime: (owner: string, repo: string, index: number, body?: AddTimeOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Check if user is subscribed to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCheckSubscription: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove all labels from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueClearLabels: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add a comment to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {CreateIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateComment: (owner: string, repo: string, index: number, body?: CreateIssueCommentOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create an issue. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateIssueOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateIssue: (owner: string, repo: string, body?: CreateIssueOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateLabel: (owner: string, repo: string, body?: CreateLabelOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateMilestoneOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateMilestone: (owner: string, repo: string, body?: CreateMilestoneOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of comment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteComment: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index this parameter is ignored
     * @param {number} id id of comment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteCommentDeprecated: (owner: string, repo: string, index: number, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove a reaction from a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteCommentReaction: (owner: string, repo: string, id: number, body?: EditReactionOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove a reaction from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteIssueReaction: (owner: string, repo: string, index: number, body?: EditReactionOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteLabel: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to delete, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteMilestone: (owner: string, repo: string, id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete an issue's existing stopwatch.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to stop the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteStopWatch: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Unsubscribe user from issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} user user witch unsubscribe
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteSubscription: (owner: string, repo: string, index: number, user: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete specific tracked time
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} id id of time to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteTime: (owner: string, repo: string, index: number, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Edit a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditComment: (owner: string, repo: string, id: number, body?: EditIssueCommentOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Edit a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index this parameter is ignored
     * @param {number} id id of the comment to edit
     * @param {EditIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditCommentDeprecated: (owner: string, repo: string, index: number, id: number, body?: EditIssueCommentOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Edit an issue. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to edit
     * @param {EditIssueOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditIssue: (owner: string, repo: string, index: number, body?: EditIssueOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Set an issue deadline. If set to null, the deadline is deleted. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to create or update a deadline on
     * @param {EditDeadlineOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditIssueDeadline: (owner: string, repo: string, index: number, body?: EditDeadlineOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to edit
     * @param {EditLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditLabel: (owner: string, repo: string, id: number, body?: EditLabelOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to edit, identified by ID and if not available by name
     * @param {EditMilestoneOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditMilestone: (owner: string, repo: string, id: string, body?: EditMilestoneOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetComment: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a list of reactions from a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetCommentReactions: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List all comments on an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {Date} [since] if provided, only comments updated since the specified time are returned.
     * @param {Date} [before] if provided, only comments updated before the provided time are returned.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetComments: (owner: string, repo: string, index: number, since?: Date, before?: Date, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetIssue: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a list reactions of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetIssueReactions: (owner: string, repo: string, index: number, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a single label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetLabel: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get an issue's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetLabels: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to get, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetMilestone: (owner: string, repo: string, id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all of a repository's opened milestones
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] Milestone state, Recognised values are open, closed and all. Defaults to \&quot;open\&quot;
     * @param {string} [name] filter by milestone name
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetMilestonesList: (owner: string, repo: string, state?: string, name?: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List all comments in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {Date} [since] if provided, only comments updated since the provided time are returned.
     * @param {Date} [before] if provided, only comments updated before the provided time are returned.
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetRepoComments: (owner: string, repo: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repository's issues
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] whether issue is open or closed
     * @param {string} [labels] comma separated list of labels. Fetch only issues that have any of this labels. Non existent labels are discarded
     * @param {string} [q] search string
     * @param {string} [type] filter by type (issues / pulls) if set
     * @param {string} [milestones] comma separated list of milestone names or ids. It uses names and fall back to ids. Fetch only issues that have any of this milestones. Non existent milestones are discarded
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueListIssues: (owner: string, repo: string, state?: string, labels?: string, q?: string, type?: string, milestones?: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all of a repository's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueListLabels: (owner: string, repo: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add a reaction to a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issuePostCommentReaction: (owner: string, repo: string, id: number, body?: EditReactionOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add a reaction to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issuePostIssueReaction: (owner: string, repo: string, index: number, body?: EditReactionOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove a label from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} id id of the label to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueRemoveLabel: (owner: string, repo: string, index: number, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Replace an issue's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {IssueLabelsOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueReplaceLabels: (owner: string, repo: string, index: number, body?: IssueLabelsOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reset a tracked time of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to add tracked time to
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueResetTime: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Search for issues across the repositories that the user has access to
     * @param {string} [state] whether issue is open or closed
     * @param {string} [labels] comma separated list of labels. Fetch only issues that have any of this labels. Non existent labels are discarded
     * @param {string} [q] search string
     * @param {number} [priority_repo_id] repository to prioritize in the results
     * @param {string} [type] filter by type (issues / pulls) if set
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {boolean} [assigned] filter (issues / pulls) assigned to you, default is false
     * @param {boolean} [created] filter (issues / pulls) created by you, default is false
     * @param {boolean} [mentioned] filter (issues / pulls) mentioning you, default is false
     * @param {boolean} [review_requested] filter pulls requesting your review, default is false
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueSearchIssues: (state?: string, labels?: string, q?: string, priority_repo_id?: number, type?: string, since?: Date, before?: Date, assigned?: boolean, created?: boolean, mentioned?: boolean, review_requested?: boolean, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Start stopwatch on an issue.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to create the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueStartStopWatch: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Stop an issue's existing stopwatch.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to stop the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueStopStopWatch: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get users who subscribed on an issue.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueSubscriptions: (owner: string, repo: string, index: number, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List an issue's tracked times
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} [user] optional filter by user (available for issue managers)
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueTrackedTimes: (owner: string, repo: string, index: number, user?: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
};
/**
 * IssueApi - functional programming interface
 * @export
 */
export declare const IssueApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Add a label to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {IssueLabelsOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueAddLabel(owner: string, repo: string, index: number, body?: IssueLabelsOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Label>>>;
    /**
     *
     * @summary Subscribe user to issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} user user to subscribe
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueAddSubscription(owner: string, repo: string, index: number, user: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Add tracked time to a issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {AddTimeOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueAddTime(owner: string, repo: string, index: number, body?: AddTimeOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<TrackedTime>>;
    /**
     *
     * @summary Check if user is subscribed to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCheckSubscription(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<WatchInfo>>;
    /**
     *
     * @summary Remove all labels from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueClearLabels(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Add a comment to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {CreateIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateComment(owner: string, repo: string, index: number, body?: CreateIssueCommentOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Comment>>;
    /**
     *
     * @summary Create an issue. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateIssueOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateIssue(owner: string, repo: string, body?: CreateIssueOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Issue>>;
    /**
     *
     * @summary Create a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateLabel(owner: string, repo: string, body?: CreateLabelOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Label>>;
    /**
     *
     * @summary Create a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateMilestoneOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateMilestone(owner: string, repo: string, body?: CreateMilestoneOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Milestone>>;
    /**
     *
     * @summary Delete a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of comment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteComment(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index this parameter is ignored
     * @param {number} id id of comment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteCommentDeprecated(owner: string, repo: string, index: number, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Remove a reaction from a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteCommentReaction(owner: string, repo: string, id: number, body?: EditReactionOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Remove a reaction from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteIssueReaction(owner: string, repo: string, index: number, body?: EditReactionOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteLabel(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to delete, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteMilestone(owner: string, repo: string, id: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete an issue's existing stopwatch.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to stop the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteStopWatch(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Unsubscribe user from issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} user user witch unsubscribe
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteSubscription(owner: string, repo: string, index: number, user: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete specific tracked time
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} id id of time to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteTime(owner: string, repo: string, index: number, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Edit a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditComment(owner: string, repo: string, id: number, body?: EditIssueCommentOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Comment>>;
    /**
     *
     * @summary Edit a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index this parameter is ignored
     * @param {number} id id of the comment to edit
     * @param {EditIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditCommentDeprecated(owner: string, repo: string, index: number, id: number, body?: EditIssueCommentOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Comment>>;
    /**
     *
     * @summary Edit an issue. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to edit
     * @param {EditIssueOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditIssue(owner: string, repo: string, index: number, body?: EditIssueOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Issue>>;
    /**
     *
     * @summary Set an issue deadline. If set to null, the deadline is deleted. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to create or update a deadline on
     * @param {EditDeadlineOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditIssueDeadline(owner: string, repo: string, index: number, body?: EditDeadlineOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IssueDeadline>>;
    /**
     *
     * @summary Update a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to edit
     * @param {EditLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditLabel(owner: string, repo: string, id: number, body?: EditLabelOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Label>>;
    /**
     *
     * @summary Update a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to edit, identified by ID and if not available by name
     * @param {EditMilestoneOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditMilestone(owner: string, repo: string, id: string, body?: EditMilestoneOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Milestone>>;
    /**
     *
     * @summary Get a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetComment(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Comment>>;
    /**
     *
     * @summary Get a list of reactions from a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetCommentReactions(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Reaction>>>;
    /**
     *
     * @summary List all comments on an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {Date} [since] if provided, only comments updated since the specified time are returned.
     * @param {Date} [before] if provided, only comments updated before the provided time are returned.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetComments(owner: string, repo: string, index: number, since?: Date, before?: Date, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Comment>>>;
    /**
     *
     * @summary Get an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetIssue(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Issue>>;
    /**
     *
     * @summary Get a list reactions of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetIssueReactions(owner: string, repo: string, index: number, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Reaction>>>;
    /**
     *
     * @summary Get a single label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetLabel(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Label>>;
    /**
     *
     * @summary Get an issue's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetLabels(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Label>>>;
    /**
     *
     * @summary Get a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to get, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetMilestone(owner: string, repo: string, id: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Milestone>>;
    /**
     *
     * @summary Get all of a repository's opened milestones
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] Milestone state, Recognised values are open, closed and all. Defaults to \&quot;open\&quot;
     * @param {string} [name] filter by milestone name
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetMilestonesList(owner: string, repo: string, state?: string, name?: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Milestone>>>;
    /**
     *
     * @summary List all comments in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {Date} [since] if provided, only comments updated since the provided time are returned.
     * @param {Date} [before] if provided, only comments updated before the provided time are returned.
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetRepoComments(owner: string, repo: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Comment>>>;
    /**
     *
     * @summary List a repository's issues
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] whether issue is open or closed
     * @param {string} [labels] comma separated list of labels. Fetch only issues that have any of this labels. Non existent labels are discarded
     * @param {string} [q] search string
     * @param {string} [type] filter by type (issues / pulls) if set
     * @param {string} [milestones] comma separated list of milestone names or ids. It uses names and fall back to ids. Fetch only issues that have any of this milestones. Non existent milestones are discarded
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueListIssues(owner: string, repo: string, state?: string, labels?: string, q?: string, type?: string, milestones?: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Issue>>>;
    /**
     *
     * @summary Get all of a repository's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueListLabels(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Label>>>;
    /**
     *
     * @summary Add a reaction to a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issuePostCommentReaction(owner: string, repo: string, id: number, body?: EditReactionOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Reaction>>;
    /**
     *
     * @summary Add a reaction to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issuePostIssueReaction(owner: string, repo: string, index: number, body?: EditReactionOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Reaction>>;
    /**
     *
     * @summary Remove a label from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} id id of the label to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueRemoveLabel(owner: string, repo: string, index: number, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Replace an issue's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {IssueLabelsOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueReplaceLabels(owner: string, repo: string, index: number, body?: IssueLabelsOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Label>>>;
    /**
     *
     * @summary Reset a tracked time of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to add tracked time to
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueResetTime(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Search for issues across the repositories that the user has access to
     * @param {string} [state] whether issue is open or closed
     * @param {string} [labels] comma separated list of labels. Fetch only issues that have any of this labels. Non existent labels are discarded
     * @param {string} [q] search string
     * @param {number} [priority_repo_id] repository to prioritize in the results
     * @param {string} [type] filter by type (issues / pulls) if set
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {boolean} [assigned] filter (issues / pulls) assigned to you, default is false
     * @param {boolean} [created] filter (issues / pulls) created by you, default is false
     * @param {boolean} [mentioned] filter (issues / pulls) mentioning you, default is false
     * @param {boolean} [review_requested] filter pulls requesting your review, default is false
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueSearchIssues(state?: string, labels?: string, q?: string, priority_repo_id?: number, type?: string, since?: Date, before?: Date, assigned?: boolean, created?: boolean, mentioned?: boolean, review_requested?: boolean, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Issue>>>;
    /**
     *
     * @summary Start stopwatch on an issue.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to create the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueStartStopWatch(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Stop an issue's existing stopwatch.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to stop the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueStopStopWatch(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Get users who subscribed on an issue.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueSubscriptions(owner: string, repo: string, index: number, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary List an issue's tracked times
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} [user] optional filter by user (available for issue managers)
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueTrackedTimes(owner: string, repo: string, index: number, user?: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<TrackedTime>>>;
};
/**
 * IssueApi - factory interface
 * @export
 */
export declare const IssueApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Add a label to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {IssueLabelsOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueAddLabel(owner: string, repo: string, index: number, body?: IssueLabelsOption, options?: any): AxiosPromise<Array<Label>>;
    /**
     *
     * @summary Subscribe user to issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} user user to subscribe
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueAddSubscription(owner: string, repo: string, index: number, user: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Add tracked time to a issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {AddTimeOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueAddTime(owner: string, repo: string, index: number, body?: AddTimeOption, options?: any): AxiosPromise<TrackedTime>;
    /**
     *
     * @summary Check if user is subscribed to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCheckSubscription(owner: string, repo: string, index: number, options?: any): AxiosPromise<WatchInfo>;
    /**
     *
     * @summary Remove all labels from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueClearLabels(owner: string, repo: string, index: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Add a comment to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {CreateIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateComment(owner: string, repo: string, index: number, body?: CreateIssueCommentOption, options?: any): AxiosPromise<Comment>;
    /**
     *
     * @summary Create an issue. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateIssueOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateIssue(owner: string, repo: string, body?: CreateIssueOption, options?: any): AxiosPromise<Issue>;
    /**
     *
     * @summary Create a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateLabel(owner: string, repo: string, body?: CreateLabelOption, options?: any): AxiosPromise<Label>;
    /**
     *
     * @summary Create a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateMilestoneOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueCreateMilestone(owner: string, repo: string, body?: CreateMilestoneOption, options?: any): AxiosPromise<Milestone>;
    /**
     *
     * @summary Delete a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of comment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteComment(owner: string, repo: string, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index this parameter is ignored
     * @param {number} id id of comment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteCommentDeprecated(owner: string, repo: string, index: number, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Remove a reaction from a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteCommentReaction(owner: string, repo: string, id: number, body?: EditReactionOption, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Remove a reaction from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteIssueReaction(owner: string, repo: string, index: number, body?: EditReactionOption, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteLabel(owner: string, repo: string, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to delete, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteMilestone(owner: string, repo: string, id: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete an issue's existing stopwatch.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to stop the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteStopWatch(owner: string, repo: string, index: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Unsubscribe user from issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} user user witch unsubscribe
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteSubscription(owner: string, repo: string, index: number, user: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete specific tracked time
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} id id of time to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueDeleteTime(owner: string, repo: string, index: number, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Edit a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditComment(owner: string, repo: string, id: number, body?: EditIssueCommentOption, options?: any): AxiosPromise<Comment>;
    /**
     *
     * @summary Edit a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index this parameter is ignored
     * @param {number} id id of the comment to edit
     * @param {EditIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditCommentDeprecated(owner: string, repo: string, index: number, id: number, body?: EditIssueCommentOption, options?: any): AxiosPromise<Comment>;
    /**
     *
     * @summary Edit an issue. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to edit
     * @param {EditIssueOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditIssue(owner: string, repo: string, index: number, body?: EditIssueOption, options?: any): AxiosPromise<Issue>;
    /**
     *
     * @summary Set an issue deadline. If set to null, the deadline is deleted. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to create or update a deadline on
     * @param {EditDeadlineOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditIssueDeadline(owner: string, repo: string, index: number, body?: EditDeadlineOption, options?: any): AxiosPromise<IssueDeadline>;
    /**
     *
     * @summary Update a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to edit
     * @param {EditLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditLabel(owner: string, repo: string, id: number, body?: EditLabelOption, options?: any): AxiosPromise<Label>;
    /**
     *
     * @summary Update a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to edit, identified by ID and if not available by name
     * @param {EditMilestoneOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueEditMilestone(owner: string, repo: string, id: string, body?: EditMilestoneOption, options?: any): AxiosPromise<Milestone>;
    /**
     *
     * @summary Get a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetComment(owner: string, repo: string, id: number, options?: any): AxiosPromise<Comment>;
    /**
     *
     * @summary Get a list of reactions from a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetCommentReactions(owner: string, repo: string, id: number, options?: any): AxiosPromise<Array<Reaction>>;
    /**
     *
     * @summary List all comments on an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {Date} [since] if provided, only comments updated since the specified time are returned.
     * @param {Date} [before] if provided, only comments updated before the provided time are returned.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetComments(owner: string, repo: string, index: number, since?: Date, before?: Date, options?: any): AxiosPromise<Array<Comment>>;
    /**
     *
     * @summary Get an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetIssue(owner: string, repo: string, index: number, options?: any): AxiosPromise<Issue>;
    /**
     *
     * @summary Get a list reactions of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetIssueReactions(owner: string, repo: string, index: number, page?: number, limit?: number, options?: any): AxiosPromise<Array<Reaction>>;
    /**
     *
     * @summary Get a single label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetLabel(owner: string, repo: string, id: number, options?: any): AxiosPromise<Label>;
    /**
     *
     * @summary Get an issue's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetLabels(owner: string, repo: string, index: number, options?: any): AxiosPromise<Array<Label>>;
    /**
     *
     * @summary Get a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to get, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetMilestone(owner: string, repo: string, id: string, options?: any): AxiosPromise<Milestone>;
    /**
     *
     * @summary Get all of a repository's opened milestones
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] Milestone state, Recognised values are open, closed and all. Defaults to \&quot;open\&quot;
     * @param {string} [name] filter by milestone name
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetMilestonesList(owner: string, repo: string, state?: string, name?: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Milestone>>;
    /**
     *
     * @summary List all comments in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {Date} [since] if provided, only comments updated since the provided time are returned.
     * @param {Date} [before] if provided, only comments updated before the provided time are returned.
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueGetRepoComments(owner: string, repo: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any): AxiosPromise<Array<Comment>>;
    /**
     *
     * @summary List a repository's issues
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] whether issue is open or closed
     * @param {string} [labels] comma separated list of labels. Fetch only issues that have any of this labels. Non existent labels are discarded
     * @param {string} [q] search string
     * @param {string} [type] filter by type (issues / pulls) if set
     * @param {string} [milestones] comma separated list of milestone names or ids. It uses names and fall back to ids. Fetch only issues that have any of this milestones. Non existent milestones are discarded
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueListIssues(owner: string, repo: string, state?: string, labels?: string, q?: string, type?: string, milestones?: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Issue>>;
    /**
     *
     * @summary Get all of a repository's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueListLabels(owner: string, repo: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Label>>;
    /**
     *
     * @summary Add a reaction to a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issuePostCommentReaction(owner: string, repo: string, id: number, body?: EditReactionOption, options?: any): AxiosPromise<Reaction>;
    /**
     *
     * @summary Add a reaction to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issuePostIssueReaction(owner: string, repo: string, index: number, body?: EditReactionOption, options?: any): AxiosPromise<Reaction>;
    /**
     *
     * @summary Remove a label from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} id id of the label to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueRemoveLabel(owner: string, repo: string, index: number, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Replace an issue's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {IssueLabelsOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueReplaceLabels(owner: string, repo: string, index: number, body?: IssueLabelsOption, options?: any): AxiosPromise<Array<Label>>;
    /**
     *
     * @summary Reset a tracked time of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to add tracked time to
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueResetTime(owner: string, repo: string, index: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Search for issues across the repositories that the user has access to
     * @param {string} [state] whether issue is open or closed
     * @param {string} [labels] comma separated list of labels. Fetch only issues that have any of this labels. Non existent labels are discarded
     * @param {string} [q] search string
     * @param {number} [priority_repo_id] repository to prioritize in the results
     * @param {string} [type] filter by type (issues / pulls) if set
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {boolean} [assigned] filter (issues / pulls) assigned to you, default is false
     * @param {boolean} [created] filter (issues / pulls) created by you, default is false
     * @param {boolean} [mentioned] filter (issues / pulls) mentioning you, default is false
     * @param {boolean} [review_requested] filter pulls requesting your review, default is false
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueSearchIssues(state?: string, labels?: string, q?: string, priority_repo_id?: number, type?: string, since?: Date, before?: Date, assigned?: boolean, created?: boolean, mentioned?: boolean, review_requested?: boolean, page?: number, limit?: number, options?: any): AxiosPromise<Array<Issue>>;
    /**
     *
     * @summary Start stopwatch on an issue.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to create the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueStartStopWatch(owner: string, repo: string, index: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Stop an issue's existing stopwatch.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to stop the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueStopStopWatch(owner: string, repo: string, index: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Get users who subscribed on an issue.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueSubscriptions(owner: string, repo: string, index: number, page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary List an issue's tracked times
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} [user] optional filter by user (available for issue managers)
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    issueTrackedTimes(owner: string, repo: string, index: number, user?: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any): AxiosPromise<Array<TrackedTime>>;
};
/**
 * IssueApi - object-oriented interface
 * @export
 * @class IssueApi
 * @extends {BaseAPI}
 */
export declare class IssueApi extends BaseAPI {
    /**
     *
     * @summary Add a label to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {IssueLabelsOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueAddLabel(owner: string, repo: string, index: number, body?: IssueLabelsOption, options?: any): Promise<import("axios").AxiosResponse<Label[]>>;
    /**
     *
     * @summary Subscribe user to issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} user user to subscribe
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueAddSubscription(owner: string, repo: string, index: number, user: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Add tracked time to a issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {AddTimeOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueAddTime(owner: string, repo: string, index: number, body?: AddTimeOption, options?: any): Promise<import("axios").AxiosResponse<TrackedTime>>;
    /**
     *
     * @summary Check if user is subscribed to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueCheckSubscription(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<WatchInfo>>;
    /**
     *
     * @summary Remove all labels from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueClearLabels(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Add a comment to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {CreateIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueCreateComment(owner: string, repo: string, index: number, body?: CreateIssueCommentOption, options?: any): Promise<import("axios").AxiosResponse<Comment>>;
    /**
     *
     * @summary Create an issue. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateIssueOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueCreateIssue(owner: string, repo: string, body?: CreateIssueOption, options?: any): Promise<import("axios").AxiosResponse<Issue>>;
    /**
     *
     * @summary Create a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueCreateLabel(owner: string, repo: string, body?: CreateLabelOption, options?: any): Promise<import("axios").AxiosResponse<Label>>;
    /**
     *
     * @summary Create a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateMilestoneOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueCreateMilestone(owner: string, repo: string, body?: CreateMilestoneOption, options?: any): Promise<import("axios").AxiosResponse<Milestone>>;
    /**
     *
     * @summary Delete a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of comment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueDeleteComment(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index this parameter is ignored
     * @param {number} id id of comment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueDeleteCommentDeprecated(owner: string, repo: string, index: number, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Remove a reaction from a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueDeleteCommentReaction(owner: string, repo: string, id: number, body?: EditReactionOption, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Remove a reaction from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueDeleteIssueReaction(owner: string, repo: string, index: number, body?: EditReactionOption, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueDeleteLabel(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to delete, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueDeleteMilestone(owner: string, repo: string, id: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete an issue's existing stopwatch.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to stop the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueDeleteStopWatch(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Unsubscribe user from issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} user user witch unsubscribe
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueDeleteSubscription(owner: string, repo: string, index: number, user: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete specific tracked time
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} id id of time to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueDeleteTime(owner: string, repo: string, index: number, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Edit a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueEditComment(owner: string, repo: string, id: number, body?: EditIssueCommentOption, options?: any): Promise<import("axios").AxiosResponse<Comment>>;
    /**
     *
     * @summary Edit a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index this parameter is ignored
     * @param {number} id id of the comment to edit
     * @param {EditIssueCommentOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueEditCommentDeprecated(owner: string, repo: string, index: number, id: number, body?: EditIssueCommentOption, options?: any): Promise<import("axios").AxiosResponse<Comment>>;
    /**
     *
     * @summary Edit an issue. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to edit
     * @param {EditIssueOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueEditIssue(owner: string, repo: string, index: number, body?: EditIssueOption, options?: any): Promise<import("axios").AxiosResponse<Issue>>;
    /**
     *
     * @summary Set an issue deadline. If set to null, the deadline is deleted. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to create or update a deadline on
     * @param {EditDeadlineOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueEditIssueDeadline(owner: string, repo: string, index: number, body?: EditDeadlineOption, options?: any): Promise<import("axios").AxiosResponse<IssueDeadline>>;
    /**
     *
     * @summary Update a label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to edit
     * @param {EditLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueEditLabel(owner: string, repo: string, id: number, body?: EditLabelOption, options?: any): Promise<import("axios").AxiosResponse<Label>>;
    /**
     *
     * @summary Update a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to edit, identified by ID and if not available by name
     * @param {EditMilestoneOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueEditMilestone(owner: string, repo: string, id: string, body?: EditMilestoneOption, options?: any): Promise<import("axios").AxiosResponse<Milestone>>;
    /**
     *
     * @summary Get a comment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueGetComment(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<Comment>>;
    /**
     *
     * @summary Get a list of reactions from a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueGetCommentReactions(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<Reaction[]>>;
    /**
     *
     * @summary List all comments on an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {Date} [since] if provided, only comments updated since the specified time are returned.
     * @param {Date} [before] if provided, only comments updated before the provided time are returned.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueGetComments(owner: string, repo: string, index: number, since?: Date, before?: Date, options?: any): Promise<import("axios").AxiosResponse<Comment[]>>;
    /**
     *
     * @summary Get an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueGetIssue(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<Issue>>;
    /**
     *
     * @summary Get a list reactions of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueGetIssueReactions(owner: string, repo: string, index: number, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Reaction[]>>;
    /**
     *
     * @summary Get a single label
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the label to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueGetLabel(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<Label>>;
    /**
     *
     * @summary Get an issue's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueGetLabels(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<Label[]>>;
    /**
     *
     * @summary Get a milestone
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id the milestone to get, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueGetMilestone(owner: string, repo: string, id: string, options?: any): Promise<import("axios").AxiosResponse<Milestone>>;
    /**
     *
     * @summary Get all of a repository's opened milestones
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] Milestone state, Recognised values are open, closed and all. Defaults to \&quot;open\&quot;
     * @param {string} [name] filter by milestone name
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueGetMilestonesList(owner: string, repo: string, state?: string, name?: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Milestone[]>>;
    /**
     *
     * @summary List all comments in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {Date} [since] if provided, only comments updated since the provided time are returned.
     * @param {Date} [before] if provided, only comments updated before the provided time are returned.
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueGetRepoComments(owner: string, repo: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Comment[]>>;
    /**
     *
     * @summary List a repository's issues
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] whether issue is open or closed
     * @param {string} [labels] comma separated list of labels. Fetch only issues that have any of this labels. Non existent labels are discarded
     * @param {string} [q] search string
     * @param {string} [type] filter by type (issues / pulls) if set
     * @param {string} [milestones] comma separated list of milestone names or ids. It uses names and fall back to ids. Fetch only issues that have any of this milestones. Non existent milestones are discarded
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueListIssues(owner: string, repo: string, state?: string, labels?: string, q?: string, type?: string, milestones?: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Issue[]>>;
    /**
     *
     * @summary Get all of a repository's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueListLabels(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Label[]>>;
    /**
     *
     * @summary Add a reaction to a comment of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the comment to edit
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issuePostCommentReaction(owner: string, repo: string, id: number, body?: EditReactionOption, options?: any): Promise<import("axios").AxiosResponse<Reaction>>;
    /**
     *
     * @summary Add a reaction to an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {EditReactionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issuePostIssueReaction(owner: string, repo: string, index: number, body?: EditReactionOption, options?: any): Promise<import("axios").AxiosResponse<Reaction>>;
    /**
     *
     * @summary Remove a label from an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} id id of the label to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueRemoveLabel(owner: string, repo: string, index: number, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Replace an issue's labels
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {IssueLabelsOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueReplaceLabels(owner: string, repo: string, index: number, body?: IssueLabelsOption, options?: any): Promise<import("axios").AxiosResponse<Label[]>>;
    /**
     *
     * @summary Reset a tracked time of an issue
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to add tracked time to
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueResetTime(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Search for issues across the repositories that the user has access to
     * @param {string} [state] whether issue is open or closed
     * @param {string} [labels] comma separated list of labels. Fetch only issues that have any of this labels. Non existent labels are discarded
     * @param {string} [q] search string
     * @param {number} [priority_repo_id] repository to prioritize in the results
     * @param {string} [type] filter by type (issues / pulls) if set
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {boolean} [assigned] filter (issues / pulls) assigned to you, default is false
     * @param {boolean} [created] filter (issues / pulls) created by you, default is false
     * @param {boolean} [mentioned] filter (issues / pulls) mentioning you, default is false
     * @param {boolean} [review_requested] filter pulls requesting your review, default is false
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueSearchIssues(state?: string, labels?: string, q?: string, priority_repo_id?: number, type?: string, since?: Date, before?: Date, assigned?: boolean, created?: boolean, mentioned?: boolean, review_requested?: boolean, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Issue[]>>;
    /**
     *
     * @summary Start stopwatch on an issue.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to create the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueStartStopWatch(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Stop an issue's existing stopwatch.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue to stop the stopwatch on
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueStopStopWatch(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Get users who subscribed on an issue.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueSubscriptions(owner: string, repo: string, index: number, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary List an issue's tracked times
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the issue
     * @param {string} [user] optional filter by user (available for issue managers)
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof IssueApi
     */
    issueTrackedTimes(owner: string, repo: string, index: number, user?: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<TrackedTime[]>>;
}
