/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { MarkdownOption } from '../models';
import { ServerVersion } from '../models';
/**
 * MiscellaneousApi - axios parameter creator
 * @export
 */
export declare const MiscellaneousApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Get default signing-key.gpg
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSigningKey: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Returns the version of the Gitea application
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVersion: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Render a markdown document as HTML
     * @param {MarkdownOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    renderMarkdown: (body?: MarkdownOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Render raw markdown as HTML
     * @param {string} body Request body to render
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    renderMarkdownRaw: (body: string, options?: any) => Promise<RequestArgs>;
};
/**
 * MiscellaneousApi - functional programming interface
 * @export
 */
export declare const MiscellaneousApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Get default signing-key.gpg
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSigningKey(options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<string>>;
    /**
     *
     * @summary Returns the version of the Gitea application
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVersion(options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ServerVersion>>;
    /**
     *
     * @summary Render a markdown document as HTML
     * @param {MarkdownOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    renderMarkdown(body?: MarkdownOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<string>>;
    /**
     *
     * @summary Render raw markdown as HTML
     * @param {string} body Request body to render
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    renderMarkdownRaw(body: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<string>>;
};
/**
 * MiscellaneousApi - factory interface
 * @export
 */
export declare const MiscellaneousApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Get default signing-key.gpg
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSigningKey(options?: any): AxiosPromise<string>;
    /**
     *
     * @summary Returns the version of the Gitea application
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVersion(options?: any): AxiosPromise<ServerVersion>;
    /**
     *
     * @summary Render a markdown document as HTML
     * @param {MarkdownOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    renderMarkdown(body?: MarkdownOption, options?: any): AxiosPromise<string>;
    /**
     *
     * @summary Render raw markdown as HTML
     * @param {string} body Request body to render
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    renderMarkdownRaw(body: string, options?: any): AxiosPromise<string>;
};
/**
 * MiscellaneousApi - object-oriented interface
 * @export
 * @class MiscellaneousApi
 * @extends {BaseAPI}
 */
export declare class MiscellaneousApi extends BaseAPI {
    /**
     *
     * @summary Get default signing-key.gpg
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MiscellaneousApi
     */
    getSigningKey(options?: any): Promise<import("axios").AxiosResponse<string>>;
    /**
     *
     * @summary Returns the version of the Gitea application
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MiscellaneousApi
     */
    getVersion(options?: any): Promise<import("axios").AxiosResponse<ServerVersion>>;
    /**
     *
     * @summary Render a markdown document as HTML
     * @param {MarkdownOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MiscellaneousApi
     */
    renderMarkdown(body?: MarkdownOption, options?: any): Promise<import("axios").AxiosResponse<string>>;
    /**
     *
     * @summary Render raw markdown as HTML
     * @param {string} body Request body to render
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MiscellaneousApi
     */
    renderMarkdownRaw(body: string, options?: any): Promise<import("axios").AxiosResponse<string>>;
}
