/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { NotificationCount } from '../models';
import { NotificationThread } from '../models';
/**
 * NotificationApi - axios parameter creator
 * @export
 */
export declare const NotificationApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary List users's notification threads
     * @param {string} [all] If true, show notifications marked as read. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned.
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyGetList: (all?: string, status_types?: Array<string>, since?: Date, before?: Date, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List users's notification threads on a specific repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [all] If true, show notifications marked as read. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyGetRepoList: (owner: string, repo: string, all?: string, status_types?: Array<string>, since?: Date, before?: Date, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get notification thread by ID
     * @param {string} id id of notification thread
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyGetThread: (id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Check if unread notifications exist
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyNewAvailable: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Mark notification threads as read, pinned or unread
     * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
     * @param {string} [all] If true, mark all notifications on this repo. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
     * @param {string} [to_status] Status to mark notifications as, Defaults to read.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyReadList: (last_read_at?: Date, all?: string, status_types?: Array<string>, to_status?: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Mark notification threads as read, pinned or unread on a specific repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [all] If true, mark all notifications on this repo. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
     * @param {string} [to_status] Status to mark notifications as. Defaults to read.
     * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyReadRepoList: (owner: string, repo: string, all?: string, status_types?: Array<string>, to_status?: string, last_read_at?: Date, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Mark notification thread as read by ID
     * @param {string} id id of notification thread
     * @param {string} [to_status] Status to mark notifications as
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyReadThread: (id: string, to_status?: string, options?: any) => Promise<RequestArgs>;
};
/**
 * NotificationApi - functional programming interface
 * @export
 */
export declare const NotificationApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary List users's notification threads
     * @param {string} [all] If true, show notifications marked as read. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned.
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyGetList(all?: string, status_types?: Array<string>, since?: Date, before?: Date, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<NotificationThread>>>;
    /**
     *
     * @summary List users's notification threads on a specific repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [all] If true, show notifications marked as read. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyGetRepoList(owner: string, repo: string, all?: string, status_types?: Array<string>, since?: Date, before?: Date, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<NotificationThread>>>;
    /**
     *
     * @summary Get notification thread by ID
     * @param {string} id id of notification thread
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyGetThread(id: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<NotificationThread>>;
    /**
     *
     * @summary Check if unread notifications exist
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyNewAvailable(options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<NotificationCount>>;
    /**
     *
     * @summary Mark notification threads as read, pinned or unread
     * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
     * @param {string} [all] If true, mark all notifications on this repo. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
     * @param {string} [to_status] Status to mark notifications as, Defaults to read.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyReadList(last_read_at?: Date, all?: string, status_types?: Array<string>, to_status?: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Mark notification threads as read, pinned or unread on a specific repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [all] If true, mark all notifications on this repo. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
     * @param {string} [to_status] Status to mark notifications as. Defaults to read.
     * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyReadRepoList(owner: string, repo: string, all?: string, status_types?: Array<string>, to_status?: string, last_read_at?: Date, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Mark notification thread as read by ID
     * @param {string} id id of notification thread
     * @param {string} [to_status] Status to mark notifications as
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyReadThread(id: string, to_status?: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
};
/**
 * NotificationApi - factory interface
 * @export
 */
export declare const NotificationApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary List users's notification threads
     * @param {string} [all] If true, show notifications marked as read. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned.
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyGetList(all?: string, status_types?: Array<string>, since?: Date, before?: Date, page?: number, limit?: number, options?: any): AxiosPromise<Array<NotificationThread>>;
    /**
     *
     * @summary List users's notification threads on a specific repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [all] If true, show notifications marked as read. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyGetRepoList(owner: string, repo: string, all?: string, status_types?: Array<string>, since?: Date, before?: Date, page?: number, limit?: number, options?: any): AxiosPromise<Array<NotificationThread>>;
    /**
     *
     * @summary Get notification thread by ID
     * @param {string} id id of notification thread
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyGetThread(id: string, options?: any): AxiosPromise<NotificationThread>;
    /**
     *
     * @summary Check if unread notifications exist
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyNewAvailable(options?: any): AxiosPromise<NotificationCount>;
    /**
     *
     * @summary Mark notification threads as read, pinned or unread
     * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
     * @param {string} [all] If true, mark all notifications on this repo. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
     * @param {string} [to_status] Status to mark notifications as, Defaults to read.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyReadList(last_read_at?: Date, all?: string, status_types?: Array<string>, to_status?: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Mark notification threads as read, pinned or unread on a specific repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [all] If true, mark all notifications on this repo. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
     * @param {string} [to_status] Status to mark notifications as. Defaults to read.
     * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyReadRepoList(owner: string, repo: string, all?: string, status_types?: Array<string>, to_status?: string, last_read_at?: Date, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Mark notification thread as read by ID
     * @param {string} id id of notification thread
     * @param {string} [to_status] Status to mark notifications as
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    notifyReadThread(id: string, to_status?: string, options?: any): AxiosPromise<void>;
};
/**
 * NotificationApi - object-oriented interface
 * @export
 * @class NotificationApi
 * @extends {BaseAPI}
 */
export declare class NotificationApi extends BaseAPI {
    /**
     *
     * @summary List users's notification threads
     * @param {string} [all] If true, show notifications marked as read. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned.
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    notifyGetList(all?: string, status_types?: Array<string>, since?: Date, before?: Date, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<NotificationThread[]>>;
    /**
     *
     * @summary List users's notification threads on a specific repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [all] If true, show notifications marked as read. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    notifyGetRepoList(owner: string, repo: string, all?: string, status_types?: Array<string>, since?: Date, before?: Date, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<NotificationThread[]>>;
    /**
     *
     * @summary Get notification thread by ID
     * @param {string} id id of notification thread
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    notifyGetThread(id: string, options?: any): Promise<import("axios").AxiosResponse<NotificationThread>>;
    /**
     *
     * @summary Check if unread notifications exist
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    notifyNewAvailable(options?: any): Promise<import("axios").AxiosResponse<NotificationCount>>;
    /**
     *
     * @summary Mark notification threads as read, pinned or unread
     * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
     * @param {string} [all] If true, mark all notifications on this repo. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
     * @param {string} [to_status] Status to mark notifications as, Defaults to read.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    notifyReadList(last_read_at?: Date, all?: string, status_types?: Array<string>, to_status?: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Mark notification threads as read, pinned or unread on a specific repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [all] If true, mark all notifications on this repo. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
     * @param {string} [to_status] Status to mark notifications as. Defaults to read.
     * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    notifyReadRepoList(owner: string, repo: string, all?: string, status_types?: Array<string>, to_status?: string, last_read_at?: Date, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Mark notification thread as read by ID
     * @param {string} id id of notification thread
     * @param {string} [to_status] Status to mark notifications as
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    notifyReadThread(id: string, to_status?: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
}
