/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { CreateHookOption } from '../models';
import { CreateLabelOption } from '../models';
import { CreateOrgOption } from '../models';
import { CreateRepoOption } from '../models';
import { CreateTeamOption } from '../models';
import { EditHookOption } from '../models';
import { EditLabelOption } from '../models';
import { EditOrgOption } from '../models';
import { EditTeamOption } from '../models';
import { Hook } from '../models';
import { InlineResponse200 } from '../models';
import { Label } from '../models';
import { Organization } from '../models';
import { Repository } from '../models';
import { Team } from '../models';
import { User } from '../models';
/**
 * OrganizationApi - axios parameter creator
 * @export
 */
export declare const OrganizationApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Create a repository in an organization
     * @param {string} org name of organization
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOrgRepo: (org: string, body?: CreateRepoOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a repository in an organization
     * @param {string} org name of organization
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOrgRepoDeprecated: (org: string, body?: CreateRepoOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add a team member
     * @param {number} id id of the team
     * @param {string} username username of the user to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgAddTeamMember: (id: number, username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add a repository to a team
     * @param {number} id id of the team
     * @param {string} org organization that owns the repo to add
     * @param {string} repo name of the repo to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgAddTeamRepository: (id: number, org: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Conceal a user's membership
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgConcealMember: (org: string, username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create an organization
     * @param {CreateOrgOption} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreate: (body: CreateOrgOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a hook
     * @param {CreateHookOption} body
     * @param {string} org name of the organization
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreateHook: (body: CreateHookOption, org: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a label for an organization
     * @param {string} org name of the organization
     * @param {CreateLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreateLabel: (org: string, body?: CreateLabelOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a team
     * @param {string} org name of the organization
     * @param {CreateTeamOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreateTeam: (org: string, body?: CreateTeamOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete an organization
     * @param {string} org organization that is to be deleted
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDelete: (org: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteHook: (org: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a label
     * @param {string} org name of the organization
     * @param {number} id id of the label to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteLabel: (org: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove a member from an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteMember: (org: string, username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a team
     * @param {number} id id of the team to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteTeam: (id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Edit an organization
     * @param {EditOrgOption} body
     * @param {string} org name of the organization to edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEdit: (body: EditOrgOption, org: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to update
     * @param {EditHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEditHook: (org: string, id: number, body?: EditHookOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update a label
     * @param {string} org name of the organization
     * @param {number} id id of the label to edit
     * @param {EditLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEditLabel: (org: string, id: number, body?: EditLabelOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Edit a team
     * @param {number} id id of the team to edit
     * @param {EditTeamOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEditTeam: (id: number, body?: EditTeamOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get an organization
     * @param {string} org name of the organization to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGet: (org: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get list of organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetAll: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetHook: (org: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a single label
     * @param {string} org name of the organization
     * @param {number} id id of the label to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetLabel: (org: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a team
     * @param {number} id id of the team to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetTeam: (id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Check if a user is a member of an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgIsMember: (org: string, username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Check if a user is a public member of an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgIsPublicMember: (org: string, username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the current user's organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListCurrentUserOrgs: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List an organization's webhooks
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListHooks: (org: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List an organization's labels
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListLabels: (org: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List an organization's members
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListMembers: (org: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List an organization's public members
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListPublicMembers: (org: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List an organization's repos
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListRepos: (org: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a particular member of team
     * @param {number} id id of the team
     * @param {string} username username of the member to list
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeamMember: (id: number, username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a team's members
     * @param {number} id id of the team
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeamMembers: (id: number, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a team's repos
     * @param {number} id id of the team
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeamRepos: (id: number, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List an organization's teams
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeams: (org: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a user's organizations
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListUserOrgs: (username: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Publicize a user's membership
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgPublicizeMember: (org: string, username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove a team member
     * @param {number} id id of the team
     * @param {string} username username of the user to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgRemoveTeamMember: (id: number, username: string, options?: any) => Promise<RequestArgs>;
    /**
     * This does not delete the repository, it only removes the repository from the team.
     * @summary Remove a repository from a team
     * @param {number} id id of the team
     * @param {string} org organization that owns the repo to remove
     * @param {string} repo name of the repo to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgRemoveTeamRepository: (id: number, org: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Search for teams within an organization
     * @param {string} org name of the organization
     * @param {string} [q] keywords to search
     * @param {boolean} [include_desc] include search within team description (defaults to true)
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    teamSearch: (org: string, q?: string, include_desc?: boolean, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
};
/**
 * OrganizationApi - functional programming interface
 * @export
 */
export declare const OrganizationApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Create a repository in an organization
     * @param {string} org name of organization
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOrgRepo(org: string, body?: CreateRepoOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Repository>>;
    /**
     *
     * @summary Create a repository in an organization
     * @param {string} org name of organization
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOrgRepoDeprecated(org: string, body?: CreateRepoOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Repository>>;
    /**
     *
     * @summary Add a team member
     * @param {number} id id of the team
     * @param {string} username username of the user to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgAddTeamMember(id: number, username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Add a repository to a team
     * @param {number} id id of the team
     * @param {string} org organization that owns the repo to add
     * @param {string} repo name of the repo to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgAddTeamRepository(id: number, org: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Conceal a user's membership
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgConcealMember(org: string, username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Create an organization
     * @param {CreateOrgOption} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreate(body: CreateOrgOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Organization>>;
    /**
     *
     * @summary Create a hook
     * @param {CreateHookOption} body
     * @param {string} org name of the organization
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreateHook(body: CreateHookOption, org: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Hook>>;
    /**
     *
     * @summary Create a label for an organization
     * @param {string} org name of the organization
     * @param {CreateLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreateLabel(org: string, body?: CreateLabelOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Label>>;
    /**
     *
     * @summary Create a team
     * @param {string} org name of the organization
     * @param {CreateTeamOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreateTeam(org: string, body?: CreateTeamOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Team>>;
    /**
     *
     * @summary Delete an organization
     * @param {string} org organization that is to be deleted
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDelete(org: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteHook(org: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a label
     * @param {string} org name of the organization
     * @param {number} id id of the label to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteLabel(org: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Remove a member from an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteMember(org: string, username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a team
     * @param {number} id id of the team to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteTeam(id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Edit an organization
     * @param {EditOrgOption} body
     * @param {string} org name of the organization to edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEdit(body: EditOrgOption, org: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Organization>>;
    /**
     *
     * @summary Update a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to update
     * @param {EditHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEditHook(org: string, id: number, body?: EditHookOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Hook>>;
    /**
     *
     * @summary Update a label
     * @param {string} org name of the organization
     * @param {number} id id of the label to edit
     * @param {EditLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEditLabel(org: string, id: number, body?: EditLabelOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Label>>;
    /**
     *
     * @summary Edit a team
     * @param {number} id id of the team to edit
     * @param {EditTeamOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEditTeam(id: number, body?: EditTeamOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Team>>;
    /**
     *
     * @summary Get an organization
     * @param {string} org name of the organization to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGet(org: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Organization>>;
    /**
     *
     * @summary Get list of organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetAll(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Organization>>>;
    /**
     *
     * @summary Get a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetHook(org: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Hook>>;
    /**
     *
     * @summary Get a single label
     * @param {string} org name of the organization
     * @param {number} id id of the label to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetLabel(org: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Label>>;
    /**
     *
     * @summary Get a team
     * @param {number} id id of the team to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetTeam(id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Team>>;
    /**
     *
     * @summary Check if a user is a member of an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgIsMember(org: string, username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Check if a user is a public member of an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgIsPublicMember(org: string, username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary List the current user's organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListCurrentUserOrgs(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Organization>>>;
    /**
     *
     * @summary List an organization's webhooks
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListHooks(org: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Hook>>>;
    /**
     *
     * @summary List an organization's labels
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListLabels(org: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Label>>>;
    /**
     *
     * @summary List an organization's members
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListMembers(org: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary List an organization's public members
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListPublicMembers(org: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary List an organization's repos
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListRepos(org: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Repository>>>;
    /**
     *
     * @summary List a particular member of team
     * @param {number} id id of the team
     * @param {string} username username of the member to list
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeamMember(id: number, username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<User>>;
    /**
     *
     * @summary List a team's members
     * @param {number} id id of the team
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeamMembers(id: number, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary List a team's repos
     * @param {number} id id of the team
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeamRepos(id: number, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Repository>>>;
    /**
     *
     * @summary List an organization's teams
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeams(org: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Team>>>;
    /**
     *
     * @summary List a user's organizations
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListUserOrgs(username: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Organization>>>;
    /**
     *
     * @summary Publicize a user's membership
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgPublicizeMember(org: string, username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Remove a team member
     * @param {number} id id of the team
     * @param {string} username username of the user to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgRemoveTeamMember(id: number, username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     * This does not delete the repository, it only removes the repository from the team.
     * @summary Remove a repository from a team
     * @param {number} id id of the team
     * @param {string} org organization that owns the repo to remove
     * @param {string} repo name of the repo to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgRemoveTeamRepository(id: number, org: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Search for teams within an organization
     * @param {string} org name of the organization
     * @param {string} [q] keywords to search
     * @param {boolean} [include_desc] include search within team description (defaults to true)
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    teamSearch(org: string, q?: string, include_desc?: boolean, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<InlineResponse200>>;
};
/**
 * OrganizationApi - factory interface
 * @export
 */
export declare const OrganizationApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Create a repository in an organization
     * @param {string} org name of organization
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOrgRepo(org: string, body?: CreateRepoOption, options?: any): AxiosPromise<Repository>;
    /**
     *
     * @summary Create a repository in an organization
     * @param {string} org name of organization
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createOrgRepoDeprecated(org: string, body?: CreateRepoOption, options?: any): AxiosPromise<Repository>;
    /**
     *
     * @summary Add a team member
     * @param {number} id id of the team
     * @param {string} username username of the user to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgAddTeamMember(id: number, username: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Add a repository to a team
     * @param {number} id id of the team
     * @param {string} org organization that owns the repo to add
     * @param {string} repo name of the repo to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgAddTeamRepository(id: number, org: string, repo: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Conceal a user's membership
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgConcealMember(org: string, username: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Create an organization
     * @param {CreateOrgOption} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreate(body: CreateOrgOption, options?: any): AxiosPromise<Organization>;
    /**
     *
     * @summary Create a hook
     * @param {CreateHookOption} body
     * @param {string} org name of the organization
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreateHook(body: CreateHookOption, org: string, options?: any): AxiosPromise<Hook>;
    /**
     *
     * @summary Create a label for an organization
     * @param {string} org name of the organization
     * @param {CreateLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreateLabel(org: string, body?: CreateLabelOption, options?: any): AxiosPromise<Label>;
    /**
     *
     * @summary Create a team
     * @param {string} org name of the organization
     * @param {CreateTeamOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgCreateTeam(org: string, body?: CreateTeamOption, options?: any): AxiosPromise<Team>;
    /**
     *
     * @summary Delete an organization
     * @param {string} org organization that is to be deleted
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDelete(org: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteHook(org: string, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a label
     * @param {string} org name of the organization
     * @param {number} id id of the label to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteLabel(org: string, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Remove a member from an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteMember(org: string, username: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a team
     * @param {number} id id of the team to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgDeleteTeam(id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Edit an organization
     * @param {EditOrgOption} body
     * @param {string} org name of the organization to edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEdit(body: EditOrgOption, org: string, options?: any): AxiosPromise<Organization>;
    /**
     *
     * @summary Update a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to update
     * @param {EditHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEditHook(org: string, id: number, body?: EditHookOption, options?: any): AxiosPromise<Hook>;
    /**
     *
     * @summary Update a label
     * @param {string} org name of the organization
     * @param {number} id id of the label to edit
     * @param {EditLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEditLabel(org: string, id: number, body?: EditLabelOption, options?: any): AxiosPromise<Label>;
    /**
     *
     * @summary Edit a team
     * @param {number} id id of the team to edit
     * @param {EditTeamOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgEditTeam(id: number, body?: EditTeamOption, options?: any): AxiosPromise<Team>;
    /**
     *
     * @summary Get an organization
     * @param {string} org name of the organization to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGet(org: string, options?: any): AxiosPromise<Organization>;
    /**
     *
     * @summary Get list of organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetAll(page?: number, limit?: number, options?: any): AxiosPromise<Array<Organization>>;
    /**
     *
     * @summary Get a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetHook(org: string, id: number, options?: any): AxiosPromise<Hook>;
    /**
     *
     * @summary Get a single label
     * @param {string} org name of the organization
     * @param {number} id id of the label to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetLabel(org: string, id: number, options?: any): AxiosPromise<Label>;
    /**
     *
     * @summary Get a team
     * @param {number} id id of the team to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgGetTeam(id: number, options?: any): AxiosPromise<Team>;
    /**
     *
     * @summary Check if a user is a member of an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgIsMember(org: string, username: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Check if a user is a public member of an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgIsPublicMember(org: string, username: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary List the current user's organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListCurrentUserOrgs(page?: number, limit?: number, options?: any): AxiosPromise<Array<Organization>>;
    /**
     *
     * @summary List an organization's webhooks
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListHooks(org: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Hook>>;
    /**
     *
     * @summary List an organization's labels
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListLabels(org: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Label>>;
    /**
     *
     * @summary List an organization's members
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListMembers(org: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary List an organization's public members
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListPublicMembers(org: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary List an organization's repos
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListRepos(org: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Repository>>;
    /**
     *
     * @summary List a particular member of team
     * @param {number} id id of the team
     * @param {string} username username of the member to list
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeamMember(id: number, username: string, options?: any): AxiosPromise<User>;
    /**
     *
     * @summary List a team's members
     * @param {number} id id of the team
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeamMembers(id: number, page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary List a team's repos
     * @param {number} id id of the team
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeamRepos(id: number, page?: number, limit?: number, options?: any): AxiosPromise<Array<Repository>>;
    /**
     *
     * @summary List an organization's teams
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListTeams(org: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Team>>;
    /**
     *
     * @summary List a user's organizations
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgListUserOrgs(username: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Organization>>;
    /**
     *
     * @summary Publicize a user's membership
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgPublicizeMember(org: string, username: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Remove a team member
     * @param {number} id id of the team
     * @param {string} username username of the user to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgRemoveTeamMember(id: number, username: string, options?: any): AxiosPromise<void>;
    /**
     * This does not delete the repository, it only removes the repository from the team.
     * @summary Remove a repository from a team
     * @param {number} id id of the team
     * @param {string} org organization that owns the repo to remove
     * @param {string} repo name of the repo to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    orgRemoveTeamRepository(id: number, org: string, repo: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Search for teams within an organization
     * @param {string} org name of the organization
     * @param {string} [q] keywords to search
     * @param {boolean} [include_desc] include search within team description (defaults to true)
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    teamSearch(org: string, q?: string, include_desc?: boolean, page?: number, limit?: number, options?: any): AxiosPromise<InlineResponse200>;
};
/**
 * OrganizationApi - object-oriented interface
 * @export
 * @class OrganizationApi
 * @extends {BaseAPI}
 */
export declare class OrganizationApi extends BaseAPI {
    /**
     *
     * @summary Create a repository in an organization
     * @param {string} org name of organization
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    createOrgRepo(org: string, body?: CreateRepoOption, options?: any): Promise<import("axios").AxiosResponse<Repository>>;
    /**
     *
     * @summary Create a repository in an organization
     * @param {string} org name of organization
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    createOrgRepoDeprecated(org: string, body?: CreateRepoOption, options?: any): Promise<import("axios").AxiosResponse<Repository>>;
    /**
     *
     * @summary Add a team member
     * @param {number} id id of the team
     * @param {string} username username of the user to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgAddTeamMember(id: number, username: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Add a repository to a team
     * @param {number} id id of the team
     * @param {string} org organization that owns the repo to add
     * @param {string} repo name of the repo to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgAddTeamRepository(id: number, org: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Conceal a user's membership
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgConcealMember(org: string, username: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Create an organization
     * @param {CreateOrgOption} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgCreate(body: CreateOrgOption, options?: any): Promise<import("axios").AxiosResponse<Organization>>;
    /**
     *
     * @summary Create a hook
     * @param {CreateHookOption} body
     * @param {string} org name of the organization
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgCreateHook(body: CreateHookOption, org: string, options?: any): Promise<import("axios").AxiosResponse<Hook>>;
    /**
     *
     * @summary Create a label for an organization
     * @param {string} org name of the organization
     * @param {CreateLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgCreateLabel(org: string, body?: CreateLabelOption, options?: any): Promise<import("axios").AxiosResponse<Label>>;
    /**
     *
     * @summary Create a team
     * @param {string} org name of the organization
     * @param {CreateTeamOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgCreateTeam(org: string, body?: CreateTeamOption, options?: any): Promise<import("axios").AxiosResponse<Team>>;
    /**
     *
     * @summary Delete an organization
     * @param {string} org organization that is to be deleted
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgDelete(org: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgDeleteHook(org: string, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a label
     * @param {string} org name of the organization
     * @param {number} id id of the label to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgDeleteLabel(org: string, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Remove a member from an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgDeleteMember(org: string, username: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a team
     * @param {number} id id of the team to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgDeleteTeam(id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Edit an organization
     * @param {EditOrgOption} body
     * @param {string} org name of the organization to edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgEdit(body: EditOrgOption, org: string, options?: any): Promise<import("axios").AxiosResponse<Organization>>;
    /**
     *
     * @summary Update a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to update
     * @param {EditHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgEditHook(org: string, id: number, body?: EditHookOption, options?: any): Promise<import("axios").AxiosResponse<Hook>>;
    /**
     *
     * @summary Update a label
     * @param {string} org name of the organization
     * @param {number} id id of the label to edit
     * @param {EditLabelOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgEditLabel(org: string, id: number, body?: EditLabelOption, options?: any): Promise<import("axios").AxiosResponse<Label>>;
    /**
     *
     * @summary Edit a team
     * @param {number} id id of the team to edit
     * @param {EditTeamOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgEditTeam(id: number, body?: EditTeamOption, options?: any): Promise<import("axios").AxiosResponse<Team>>;
    /**
     *
     * @summary Get an organization
     * @param {string} org name of the organization to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgGet(org: string, options?: any): Promise<import("axios").AxiosResponse<Organization>>;
    /**
     *
     * @summary Get list of organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgGetAll(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Organization[]>>;
    /**
     *
     * @summary Get a hook
     * @param {string} org name of the organization
     * @param {number} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgGetHook(org: string, id: number, options?: any): Promise<import("axios").AxiosResponse<Hook>>;
    /**
     *
     * @summary Get a single label
     * @param {string} org name of the organization
     * @param {number} id id of the label to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgGetLabel(org: string, id: number, options?: any): Promise<import("axios").AxiosResponse<Label>>;
    /**
     *
     * @summary Get a team
     * @param {number} id id of the team to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgGetTeam(id: number, options?: any): Promise<import("axios").AxiosResponse<Team>>;
    /**
     *
     * @summary Check if a user is a member of an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgIsMember(org: string, username: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Check if a user is a public member of an organization
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgIsPublicMember(org: string, username: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary List the current user's organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgListCurrentUserOrgs(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Organization[]>>;
    /**
     *
     * @summary List an organization's webhooks
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgListHooks(org: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Hook[]>>;
    /**
     *
     * @summary List an organization's labels
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgListLabels(org: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Label[]>>;
    /**
     *
     * @summary List an organization's members
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgListMembers(org: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary List an organization's public members
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgListPublicMembers(org: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary List an organization's repos
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgListRepos(org: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Repository[]>>;
    /**
     *
     * @summary List a particular member of team
     * @param {number} id id of the team
     * @param {string} username username of the member to list
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgListTeamMember(id: number, username: string, options?: any): Promise<import("axios").AxiosResponse<User>>;
    /**
     *
     * @summary List a team's members
     * @param {number} id id of the team
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgListTeamMembers(id: number, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary List a team's repos
     * @param {number} id id of the team
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgListTeamRepos(id: number, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Repository[]>>;
    /**
     *
     * @summary List an organization's teams
     * @param {string} org name of the organization
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgListTeams(org: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Team[]>>;
    /**
     *
     * @summary List a user's organizations
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgListUserOrgs(username: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Organization[]>>;
    /**
     *
     * @summary Publicize a user's membership
     * @param {string} org name of the organization
     * @param {string} username username of the user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgPublicizeMember(org: string, username: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Remove a team member
     * @param {number} id id of the team
     * @param {string} username username of the user to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgRemoveTeamMember(id: number, username: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     * This does not delete the repository, it only removes the repository from the team.
     * @summary Remove a repository from a team
     * @param {number} id id of the team
     * @param {string} org organization that owns the repo to remove
     * @param {string} repo name of the repo to remove
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    orgRemoveTeamRepository(id: number, org: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Search for teams within an organization
     * @param {string} org name of the organization
     * @param {string} [q] keywords to search
     * @param {boolean} [include_desc] include search within team description (defaults to true)
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof OrganizationApi
     */
    teamSearch(org: string, q?: string, include_desc?: boolean, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<InlineResponse200>>;
}
