/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { GeneralAPISettings } from '../models';
import { GeneralAttachmentSettings } from '../models';
import { GeneralRepoSettings } from '../models';
import { GeneralUISettings } from '../models';
/**
 * SettingsApi - axios parameter creator
 * @export
 */
export declare const SettingsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Get instance's global settings for api
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralAPISettings: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get instance's global settings for Attachment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralAttachmentSettings: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get instance's global settings for repositories
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralRepositorySettings: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get instance's global settings for ui
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralUISettings: (options?: any) => Promise<RequestArgs>;
};
/**
 * SettingsApi - functional programming interface
 * @export
 */
export declare const SettingsApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Get instance's global settings for api
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralAPISettings(options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GeneralAPISettings>>;
    /**
     *
     * @summary Get instance's global settings for Attachment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralAttachmentSettings(options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GeneralAttachmentSettings>>;
    /**
     *
     * @summary Get instance's global settings for repositories
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralRepositorySettings(options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GeneralRepoSettings>>;
    /**
     *
     * @summary Get instance's global settings for ui
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralUISettings(options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GeneralUISettings>>;
};
/**
 * SettingsApi - factory interface
 * @export
 */
export declare const SettingsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Get instance's global settings for api
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralAPISettings(options?: any): AxiosPromise<GeneralAPISettings>;
    /**
     *
     * @summary Get instance's global settings for Attachment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralAttachmentSettings(options?: any): AxiosPromise<GeneralAttachmentSettings>;
    /**
     *
     * @summary Get instance's global settings for repositories
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralRepositorySettings(options?: any): AxiosPromise<GeneralRepoSettings>;
    /**
     *
     * @summary Get instance's global settings for ui
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralUISettings(options?: any): AxiosPromise<GeneralUISettings>;
};
/**
 * SettingsApi - object-oriented interface
 * @export
 * @class SettingsApi
 * @extends {BaseAPI}
 */
export declare class SettingsApi extends BaseAPI {
    /**
     *
     * @summary Get instance's global settings for api
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SettingsApi
     */
    getGeneralAPISettings(options?: any): Promise<import("axios").AxiosResponse<GeneralAPISettings>>;
    /**
     *
     * @summary Get instance's global settings for Attachment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SettingsApi
     */
    getGeneralAttachmentSettings(options?: any): Promise<import("axios").AxiosResponse<GeneralAttachmentSettings>>;
    /**
     *
     * @summary Get instance's global settings for repositories
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SettingsApi
     */
    getGeneralRepositorySettings(options?: any): Promise<import("axios").AxiosResponse<GeneralRepoSettings>>;
    /**
     *
     * @summary Get instance's global settings for ui
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SettingsApi
     */
    getGeneralUISettings(options?: any): Promise<import("axios").AxiosResponse<GeneralUISettings>>;
}
