/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { AccessToken } from '../models';
import { Body1 } from '../models';
import { CreateEmailOption } from '../models';
import { CreateGPGKeyOption } from '../models';
import { CreateKeyOption } from '../models';
import { CreateOAuth2ApplicationOptions } from '../models';
import { CreateRepoOption } from '../models';
import { DeleteEmailOption } from '../models';
import { Email } from '../models';
import { GPGKey } from '../models';
import { InlineResponse2001 } from '../models';
import { OAuth2Application } from '../models';
import { PublicKey } from '../models';
import { Repository } from '../models';
import { StopWatch } from '../models';
import { Team } from '../models';
import { TrackedTime } from '../models';
import { User } from '../models';
import { UserHeatmapData } from '../models';
/**
 * UserApi - axios parameter creator
 * @export
 */
export declare const UserApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Create a repository
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCurrentUserRepo: (body?: CreateRepoOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add email addresses
     * @param {CreateEmailOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userAddEmail: (body?: CreateEmailOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Check if one user is following another user
     * @param {string} follower username of following user
     * @param {string} followee username of followed user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCheckFollowing: (follower: string, followee: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary creates a new OAuth2 application
     * @param {CreateOAuth2ApplicationOptions} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCreateOAuth2Application: (body: CreateOAuth2ApplicationOptions, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create an access token
     * @param {string} username username of user
     * @param {Body1} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCreateToken: (username: string, body?: Body1, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Check whether a user is followed by the authenticated user
     * @param {string} username username of followed user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentCheckFollowing: (username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Whether the authenticated is starring the repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentCheckStarring: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Unfollow a user
     * @param {string} username username of user to unfollow
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteFollow: (username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove a GPG key
     * @param {number} id id of key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteGPGKey: (id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a public key
     * @param {number} id id of key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteKey: (id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Unstar the given repo
     * @param {string} owner owner of the repo to unstar
     * @param {string} repo name of the repo to unstar
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteStar: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a GPG key
     * @param {number} id id of key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentGetGPGKey: (id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a public key
     * @param {number} id id of key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentGetKey: (id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the authenticated user's followers
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListFollowers: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the users that the authenticated user is following
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListFollowing: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the authenticated user's GPG keys
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListGPGKeys: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the authenticated user's public keys
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListKeys: (fingerprint?: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the repos that the authenticated user owns or has access to
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListRepos: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary The repos that the authenticated user has starred
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListStarred: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List repositories watched by the authenticated user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListSubscriptions: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a GPG key
     * @param {CreateGPGKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPostGPGKey: (body?: CreateGPGKeyOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a public key
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPostKey: (body?: CreateKeyOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Follow a user
     * @param {string} username username of user to follow
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPutFollow: (username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Star the given repo
     * @param {string} owner owner of the repo to star
     * @param {string} repo name of the repo to star
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPutStar: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the current user's tracked times
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentTrackedTimes: (since?: Date, before?: Date, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary delete an access token
     * @param {string} username username of user
     * @param {string} token token to be deleted, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userDeleteAccessToken: (username: string, token: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete email addresses
     * @param {DeleteEmailOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userDeleteEmail: (body?: DeleteEmailOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary delete an OAuth2 Application
     * @param {number} id token to be deleted
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userDeleteOAuth2Application: (id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a user
     * @param {string} username username of user to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGet: (username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get the authenticated user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetCurrent: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a user's heatmap
     * @param {string} username username of user to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetHeatmapData: (username: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary get an OAuth2 Application
     * @param {number} id Application ID to be found
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetOAuth2Application: (id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the authenticated user's oauth2 applications
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetOauth2Application: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get list of all existing stopwatches
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetStopWatches: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the authenticated user's access tokens
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetTokens: (username: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the authenticated user's email addresses
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListEmails: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the given user's followers
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListFollowers: (username: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the users that the given user is following
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListFollowing: (username: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the given user's GPG keys
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListGPGKeys: (username: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the given user's public keys
     * @param {string} username username of user
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListKeys: (username: string, fingerprint?: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the repos owned by the given user
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListRepos: (username: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary The repos that the given user has starred
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListStarred: (username: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the repositories watched by a user
     * @param {string} username username of the user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListSubscriptions: (username: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List all the teams a user belongs to
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListTeams: (page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Search for users
     * @param {string} [q] keyword
     * @param {number} [uid] ID of the user to search for
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userSearch: (q?: string, uid?: number, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary update an OAuth2 Application, this includes regenerating the client secret
     * @param {CreateOAuth2ApplicationOptions} body
     * @param {number} id application to be updated
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userUpdateOAuth2Application: (body: CreateOAuth2ApplicationOptions, id: number, options?: any) => Promise<RequestArgs>;
};
/**
 * UserApi - functional programming interface
 * @export
 */
export declare const UserApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Create a repository
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCurrentUserRepo(body?: CreateRepoOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Repository>>;
    /**
     *
     * @summary Add email addresses
     * @param {CreateEmailOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userAddEmail(body?: CreateEmailOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Email>>>;
    /**
     *
     * @summary Check if one user is following another user
     * @param {string} follower username of following user
     * @param {string} followee username of followed user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCheckFollowing(follower: string, followee: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary creates a new OAuth2 application
     * @param {CreateOAuth2ApplicationOptions} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCreateOAuth2Application(body: CreateOAuth2ApplicationOptions, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<OAuth2Application>>;
    /**
     *
     * @summary Create an access token
     * @param {string} username username of user
     * @param {Body1} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCreateToken(username: string, body?: Body1, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Check whether a user is followed by the authenticated user
     * @param {string} username username of followed user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentCheckFollowing(username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Whether the authenticated is starring the repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentCheckStarring(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Unfollow a user
     * @param {string} username username of user to unfollow
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteFollow(username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Remove a GPG key
     * @param {number} id id of key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteGPGKey(id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a public key
     * @param {number} id id of key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteKey(id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Unstar the given repo
     * @param {string} owner owner of the repo to unstar
     * @param {string} repo name of the repo to unstar
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteStar(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Get a GPG key
     * @param {number} id id of key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentGetGPGKey(id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GPGKey>>;
    /**
     *
     * @summary Get a public key
     * @param {number} id id of key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentGetKey(id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PublicKey>>;
    /**
     *
     * @summary List the authenticated user's followers
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListFollowers(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary List the users that the authenticated user is following
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListFollowing(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary List the authenticated user's GPG keys
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListGPGKeys(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<GPGKey>>>;
    /**
     *
     * @summary List the authenticated user's public keys
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListKeys(fingerprint?: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<PublicKey>>>;
    /**
     *
     * @summary List the repos that the authenticated user owns or has access to
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListRepos(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Repository>>>;
    /**
     *
     * @summary The repos that the authenticated user has starred
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListStarred(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Repository>>>;
    /**
     *
     * @summary List repositories watched by the authenticated user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListSubscriptions(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Repository>>>;
    /**
     *
     * @summary Create a GPG key
     * @param {CreateGPGKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPostGPGKey(body?: CreateGPGKeyOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GPGKey>>;
    /**
     *
     * @summary Create a public key
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPostKey(body?: CreateKeyOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PublicKey>>;
    /**
     *
     * @summary Follow a user
     * @param {string} username username of user to follow
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPutFollow(username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Star the given repo
     * @param {string} owner owner of the repo to star
     * @param {string} repo name of the repo to star
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPutStar(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary List the current user's tracked times
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentTrackedTimes(since?: Date, before?: Date, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<TrackedTime>>>;
    /**
     *
     * @summary delete an access token
     * @param {string} username username of user
     * @param {string} token token to be deleted, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userDeleteAccessToken(username: string, token: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete email addresses
     * @param {DeleteEmailOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userDeleteEmail(body?: DeleteEmailOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary delete an OAuth2 Application
     * @param {number} id token to be deleted
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userDeleteOAuth2Application(id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Get a user
     * @param {string} username username of user to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGet(username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<User>>;
    /**
     *
     * @summary Get the authenticated user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetCurrent(options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<User>>;
    /**
     *
     * @summary Get a user's heatmap
     * @param {string} username username of user to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetHeatmapData(username: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<UserHeatmapData>>>;
    /**
     *
     * @summary get an OAuth2 Application
     * @param {number} id Application ID to be found
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetOAuth2Application(id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<OAuth2Application>>;
    /**
     *
     * @summary List the authenticated user's oauth2 applications
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetOauth2Application(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<OAuth2Application>>>;
    /**
     *
     * @summary Get list of all existing stopwatches
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetStopWatches(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<StopWatch>>>;
    /**
     *
     * @summary List the authenticated user's access tokens
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetTokens(username: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<AccessToken>>>;
    /**
     *
     * @summary List the authenticated user's email addresses
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListEmails(options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Email>>>;
    /**
     *
     * @summary List the given user's followers
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListFollowers(username: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary List the users that the given user is following
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListFollowing(username: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary List the given user's GPG keys
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListGPGKeys(username: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<GPGKey>>>;
    /**
     *
     * @summary List the given user's public keys
     * @param {string} username username of user
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListKeys(username: string, fingerprint?: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<PublicKey>>>;
    /**
     *
     * @summary List the repos owned by the given user
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListRepos(username: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Repository>>>;
    /**
     *
     * @summary The repos that the given user has starred
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListStarred(username: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Repository>>>;
    /**
     *
     * @summary List the repositories watched by a user
     * @param {string} username username of the user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListSubscriptions(username: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Repository>>>;
    /**
     *
     * @summary List all the teams a user belongs to
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListTeams(page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Team>>>;
    /**
     *
     * @summary Search for users
     * @param {string} [q] keyword
     * @param {number} [uid] ID of the user to search for
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userSearch(q?: string, uid?: number, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<InlineResponse2001>>;
    /**
     *
     * @summary update an OAuth2 Application, this includes regenerating the client secret
     * @param {CreateOAuth2ApplicationOptions} body
     * @param {number} id application to be updated
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userUpdateOAuth2Application(body: CreateOAuth2ApplicationOptions, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<OAuth2Application>>;
};
/**
 * UserApi - factory interface
 * @export
 */
export declare const UserApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Create a repository
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCurrentUserRepo(body?: CreateRepoOption, options?: any): AxiosPromise<Repository>;
    /**
     *
     * @summary Add email addresses
     * @param {CreateEmailOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userAddEmail(body?: CreateEmailOption, options?: any): AxiosPromise<Array<Email>>;
    /**
     *
     * @summary Check if one user is following another user
     * @param {string} follower username of following user
     * @param {string} followee username of followed user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCheckFollowing(follower: string, followee: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary creates a new OAuth2 application
     * @param {CreateOAuth2ApplicationOptions} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCreateOAuth2Application(body: CreateOAuth2ApplicationOptions, options?: any): AxiosPromise<OAuth2Application>;
    /**
     *
     * @summary Create an access token
     * @param {string} username username of user
     * @param {Body1} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCreateToken(username: string, body?: Body1, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Check whether a user is followed by the authenticated user
     * @param {string} username username of followed user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentCheckFollowing(username: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Whether the authenticated is starring the repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentCheckStarring(owner: string, repo: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Unfollow a user
     * @param {string} username username of user to unfollow
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteFollow(username: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Remove a GPG key
     * @param {number} id id of key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteGPGKey(id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a public key
     * @param {number} id id of key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteKey(id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Unstar the given repo
     * @param {string} owner owner of the repo to unstar
     * @param {string} repo name of the repo to unstar
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteStar(owner: string, repo: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Get a GPG key
     * @param {number} id id of key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentGetGPGKey(id: number, options?: any): AxiosPromise<GPGKey>;
    /**
     *
     * @summary Get a public key
     * @param {number} id id of key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentGetKey(id: number, options?: any): AxiosPromise<PublicKey>;
    /**
     *
     * @summary List the authenticated user's followers
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListFollowers(page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary List the users that the authenticated user is following
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListFollowing(page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary List the authenticated user's GPG keys
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListGPGKeys(page?: number, limit?: number, options?: any): AxiosPromise<Array<GPGKey>>;
    /**
     *
     * @summary List the authenticated user's public keys
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListKeys(fingerprint?: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<PublicKey>>;
    /**
     *
     * @summary List the repos that the authenticated user owns or has access to
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListRepos(page?: number, limit?: number, options?: any): AxiosPromise<Array<Repository>>;
    /**
     *
     * @summary The repos that the authenticated user has starred
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListStarred(page?: number, limit?: number, options?: any): AxiosPromise<Array<Repository>>;
    /**
     *
     * @summary List repositories watched by the authenticated user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentListSubscriptions(page?: number, limit?: number, options?: any): AxiosPromise<Array<Repository>>;
    /**
     *
     * @summary Create a GPG key
     * @param {CreateGPGKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPostGPGKey(body?: CreateGPGKeyOption, options?: any): AxiosPromise<GPGKey>;
    /**
     *
     * @summary Create a public key
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPostKey(body?: CreateKeyOption, options?: any): AxiosPromise<PublicKey>;
    /**
     *
     * @summary Follow a user
     * @param {string} username username of user to follow
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPutFollow(username: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Star the given repo
     * @param {string} owner owner of the repo to star
     * @param {string} repo name of the repo to star
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPutStar(owner: string, repo: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary List the current user's tracked times
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentTrackedTimes(since?: Date, before?: Date, options?: any): AxiosPromise<Array<TrackedTime>>;
    /**
     *
     * @summary delete an access token
     * @param {string} username username of user
     * @param {string} token token to be deleted, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userDeleteAccessToken(username: string, token: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete email addresses
     * @param {DeleteEmailOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userDeleteEmail(body?: DeleteEmailOption, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary delete an OAuth2 Application
     * @param {number} id token to be deleted
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userDeleteOAuth2Application(id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Get a user
     * @param {string} username username of user to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGet(username: string, options?: any): AxiosPromise<User>;
    /**
     *
     * @summary Get the authenticated user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetCurrent(options?: any): AxiosPromise<User>;
    /**
     *
     * @summary Get a user's heatmap
     * @param {string} username username of user to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetHeatmapData(username: string, options?: any): AxiosPromise<Array<UserHeatmapData>>;
    /**
     *
     * @summary get an OAuth2 Application
     * @param {number} id Application ID to be found
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetOAuth2Application(id: number, options?: any): AxiosPromise<OAuth2Application>;
    /**
     *
     * @summary List the authenticated user's oauth2 applications
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetOauth2Application(page?: number, limit?: number, options?: any): AxiosPromise<Array<OAuth2Application>>;
    /**
     *
     * @summary Get list of all existing stopwatches
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetStopWatches(page?: number, limit?: number, options?: any): AxiosPromise<Array<StopWatch>>;
    /**
     *
     * @summary List the authenticated user's access tokens
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userGetTokens(username: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<AccessToken>>;
    /**
     *
     * @summary List the authenticated user's email addresses
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListEmails(options?: any): AxiosPromise<Array<Email>>;
    /**
     *
     * @summary List the given user's followers
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListFollowers(username: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary List the users that the given user is following
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListFollowing(username: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary List the given user's GPG keys
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListGPGKeys(username: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<GPGKey>>;
    /**
     *
     * @summary List the given user's public keys
     * @param {string} username username of user
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListKeys(username: string, fingerprint?: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<PublicKey>>;
    /**
     *
     * @summary List the repos owned by the given user
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListRepos(username: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Repository>>;
    /**
     *
     * @summary The repos that the given user has starred
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListStarred(username: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Repository>>;
    /**
     *
     * @summary List the repositories watched by a user
     * @param {string} username username of the user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListSubscriptions(username: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Repository>>;
    /**
     *
     * @summary List all the teams a user belongs to
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userListTeams(page?: number, limit?: number, options?: any): AxiosPromise<Array<Team>>;
    /**
     *
     * @summary Search for users
     * @param {string} [q] keyword
     * @param {number} [uid] ID of the user to search for
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userSearch(q?: string, uid?: number, page?: number, limit?: number, options?: any): AxiosPromise<InlineResponse2001>;
    /**
     *
     * @summary update an OAuth2 Application, this includes regenerating the client secret
     * @param {CreateOAuth2ApplicationOptions} body
     * @param {number} id application to be updated
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userUpdateOAuth2Application(body: CreateOAuth2ApplicationOptions, id: number, options?: any): AxiosPromise<OAuth2Application>;
};
/**
 * UserApi - object-oriented interface
 * @export
 * @class UserApi
 * @extends {BaseAPI}
 */
export declare class UserApi extends BaseAPI {
    /**
     *
     * @summary Create a repository
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    createCurrentUserRepo(body?: CreateRepoOption, options?: any): Promise<import("axios").AxiosResponse<Repository>>;
    /**
     *
     * @summary Add email addresses
     * @param {CreateEmailOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userAddEmail(body?: CreateEmailOption, options?: any): Promise<import("axios").AxiosResponse<Email[]>>;
    /**
     *
     * @summary Check if one user is following another user
     * @param {string} follower username of following user
     * @param {string} followee username of followed user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCheckFollowing(follower: string, followee: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary creates a new OAuth2 application
     * @param {CreateOAuth2ApplicationOptions} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCreateOAuth2Application(body: CreateOAuth2ApplicationOptions, options?: any): Promise<import("axios").AxiosResponse<OAuth2Application>>;
    /**
     *
     * @summary Create an access token
     * @param {string} username username of user
     * @param {Body1} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCreateToken(username: string, body?: Body1, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Check whether a user is followed by the authenticated user
     * @param {string} username username of followed user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentCheckFollowing(username: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Whether the authenticated is starring the repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentCheckStarring(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Unfollow a user
     * @param {string} username username of user to unfollow
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentDeleteFollow(username: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Remove a GPG key
     * @param {number} id id of key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentDeleteGPGKey(id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a public key
     * @param {number} id id of key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentDeleteKey(id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Unstar the given repo
     * @param {string} owner owner of the repo to unstar
     * @param {string} repo name of the repo to unstar
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentDeleteStar(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Get a GPG key
     * @param {number} id id of key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentGetGPGKey(id: number, options?: any): Promise<import("axios").AxiosResponse<GPGKey>>;
    /**
     *
     * @summary Get a public key
     * @param {number} id id of key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentGetKey(id: number, options?: any): Promise<import("axios").AxiosResponse<PublicKey>>;
    /**
     *
     * @summary List the authenticated user's followers
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentListFollowers(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary List the users that the authenticated user is following
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentListFollowing(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary List the authenticated user's GPG keys
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentListGPGKeys(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<GPGKey[]>>;
    /**
     *
     * @summary List the authenticated user's public keys
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentListKeys(fingerprint?: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<PublicKey[]>>;
    /**
     *
     * @summary List the repos that the authenticated user owns or has access to
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentListRepos(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Repository[]>>;
    /**
     *
     * @summary The repos that the authenticated user has starred
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentListStarred(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Repository[]>>;
    /**
     *
     * @summary List repositories watched by the authenticated user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentListSubscriptions(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Repository[]>>;
    /**
     *
     * @summary Create a GPG key
     * @param {CreateGPGKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentPostGPGKey(body?: CreateGPGKeyOption, options?: any): Promise<import("axios").AxiosResponse<GPGKey>>;
    /**
     *
     * @summary Create a public key
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentPostKey(body?: CreateKeyOption, options?: any): Promise<import("axios").AxiosResponse<PublicKey>>;
    /**
     *
     * @summary Follow a user
     * @param {string} username username of user to follow
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentPutFollow(username: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Star the given repo
     * @param {string} owner owner of the repo to star
     * @param {string} repo name of the repo to star
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentPutStar(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary List the current user's tracked times
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userCurrentTrackedTimes(since?: Date, before?: Date, options?: any): Promise<import("axios").AxiosResponse<TrackedTime[]>>;
    /**
     *
     * @summary delete an access token
     * @param {string} username username of user
     * @param {string} token token to be deleted, identified by ID and if not available by name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userDeleteAccessToken(username: string, token: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete email addresses
     * @param {DeleteEmailOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userDeleteEmail(body?: DeleteEmailOption, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary delete an OAuth2 Application
     * @param {number} id token to be deleted
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userDeleteOAuth2Application(id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Get a user
     * @param {string} username username of user to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userGet(username: string, options?: any): Promise<import("axios").AxiosResponse<User>>;
    /**
     *
     * @summary Get the authenticated user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userGetCurrent(options?: any): Promise<import("axios").AxiosResponse<User>>;
    /**
     *
     * @summary Get a user's heatmap
     * @param {string} username username of user to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userGetHeatmapData(username: string, options?: any): Promise<import("axios").AxiosResponse<UserHeatmapData[]>>;
    /**
     *
     * @summary get an OAuth2 Application
     * @param {number} id Application ID to be found
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userGetOAuth2Application(id: number, options?: any): Promise<import("axios").AxiosResponse<OAuth2Application>>;
    /**
     *
     * @summary List the authenticated user's oauth2 applications
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userGetOauth2Application(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<OAuth2Application[]>>;
    /**
     *
     * @summary Get list of all existing stopwatches
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userGetStopWatches(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<StopWatch[]>>;
    /**
     *
     * @summary List the authenticated user's access tokens
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userGetTokens(username: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<AccessToken[]>>;
    /**
     *
     * @summary List the authenticated user's email addresses
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userListEmails(options?: any): Promise<import("axios").AxiosResponse<Email[]>>;
    /**
     *
     * @summary List the given user's followers
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userListFollowers(username: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary List the users that the given user is following
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userListFollowing(username: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary List the given user's GPG keys
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userListGPGKeys(username: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<GPGKey[]>>;
    /**
     *
     * @summary List the given user's public keys
     * @param {string} username username of user
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userListKeys(username: string, fingerprint?: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<PublicKey[]>>;
    /**
     *
     * @summary List the repos owned by the given user
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userListRepos(username: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Repository[]>>;
    /**
     *
     * @summary The repos that the given user has starred
     * @param {string} username username of user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userListStarred(username: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Repository[]>>;
    /**
     *
     * @summary List the repositories watched by a user
     * @param {string} username username of the user
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userListSubscriptions(username: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Repository[]>>;
    /**
     *
     * @summary List all the teams a user belongs to
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userListTeams(page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Team[]>>;
    /**
     *
     * @summary Search for users
     * @param {string} [q] keyword
     * @param {number} [uid] ID of the user to search for
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userSearch(q?: string, uid?: number, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<InlineResponse2001>>;
    /**
     *
     * @summary update an OAuth2 Application, this includes regenerating the client secret
     * @param {CreateOAuth2ApplicationOptions} body
     * @param {number} id application to be updated
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    userUpdateOAuth2Application(body: CreateOAuth2ApplicationOptions, id: number, options?: any): Promise<import("axios").AxiosResponse<OAuth2Application>>;
}
