/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
/**
 * EditRepoOption options when editing a repository's properties
 * @export
 * @interface EditRepoOption
 */
export interface EditRepoOption {
    /**
     * either `true` to allow mark pr as merged manually, or `false` to prevent it. `has_pull_requests` must be `true`.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    allow_manual_merge?: any;
    /**
     * either `true` to allow merging pull requests with a merge commit, or `false` to prevent merging pull requests with merge commits. `has_pull_requests` must be `true`.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    allow_merge_commits?: any;
    /**
     * either `true` to allow rebase-merging pull requests, or `false` to prevent rebase-merging. `has_pull_requests` must be `true`.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    allow_rebase?: any;
    /**
     * either `true` to allow rebase with explicit merge commits (--no-ff), or `false` to prevent rebase with explicit merge commits. `has_pull_requests` must be `true`.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    allow_rebase_explicit?: any;
    /**
     * either `true` to allow squash-merging pull requests, or `false` to prevent squash-merging. `has_pull_requests` must be `true`.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    allow_squash_merge?: any;
    /**
     * set to `true` to archive this repository.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    archived?: any;
    /**
     * either `true` to enable AutodetectManualMerge, or `false` to prevent it. `has_pull_requests` must be `true`, Note: In some special cases, misjudgments can occur.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    autodetect_manual_merge?: any;
    /**
     * sets the default branch for this repository.
     * @type {string}
     * @memberof EditRepoOption
     */
    default_branch?: any;
    /**
     * set to a merge style to be used by this repository: \"merge\", \"rebase\", \"rebase-merge\", or \"squash\". `has_pull_requests` must be `true`.
     * @type {string}
     * @memberof EditRepoOption
     */
    default_merge_style?: any;
    /**
     * a short description of the repository.
     * @type {string}
     * @memberof EditRepoOption
     */
    description?: any;
    /**
     *
     * @type {ExternalTracker}
     * @memberof EditRepoOption
     */
    external_tracker?: any;
    /**
     *
     * @type {ExternalWiki}
     * @memberof EditRepoOption
     */
    external_wiki?: any;
    /**
     * either `true` to enable issues for this repository or `false` to disable them.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    has_issues?: any;
    /**
     * either `true` to enable project unit, or `false` to disable them.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    has_projects?: any;
    /**
     * either `true` to allow pull requests, or `false` to prevent pull request.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    has_pull_requests?: any;
    /**
     * either `true` to enable the wiki for this repository or `false` to disable it.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    has_wiki?: any;
    /**
     * either `true` to ignore whitespace for conflicts, or `false` to not ignore whitespace. `has_pull_requests` must be `true`.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    ignore_whitespace_conflicts?: any;
    /**
     *
     * @type {InternalTracker}
     * @memberof EditRepoOption
     */
    internal_tracker?: any;
    /**
     * set to a string like `8h30m0s` to set the mirror interval time
     * @type {string}
     * @memberof EditRepoOption
     */
    mirror_interval?: any;
    /**
     * name of the repository
     * @type {string}
     * @memberof EditRepoOption
     */
    name?: any;
    /**
     * either `true` to make the repository private or `false` to make it public. Note: you will get a 422 error if the organization restricts changing repository visibility to organization owners and a non-owner tries to change the value of private.
     * @type {boolean}
     * @memberof EditRepoOption
     */
    _private?: any;
    /**
     * either `true` to make this repository a template or `false` to make it a normal repository
     * @type {boolean}
     * @memberof EditRepoOption
     */
    template?: any;
    /**
     * a URL with more information about the repository.
     * @type {string}
     * @memberof EditRepoOption
     */
    website?: any;
}
