/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { AddCollaboratorOption } from '../models';
import { AnnotatedTag } from '../models';
import { Attachment } from '../models';
import { Branch } from '../models';
import { BranchProtection } from '../models';
import { CombinedStatus } from '../models';
import { Commit } from '../models';
import { CommitStatus } from '../models';
import { ContentsResponse } from '../models';
import { CreateBranchProtectionOption } from '../models';
import { CreateBranchRepoOption } from '../models';
import { CreateFileOptions } from '../models';
import { CreateForkOption } from '../models';
import { CreateHookOption } from '../models';
import { CreateKeyOption } from '../models';
import { CreatePullRequestOption } from '../models';
import { CreatePullReviewOptions } from '../models';
import { CreateReleaseOption } from '../models';
import { CreateRepoOption } from '../models';
import { CreateStatusOption } from '../models';
import { DeleteFileOptions } from '../models';
import { DeployKey } from '../models';
import { DismissPullReviewOptions } from '../models';
import { EditAttachmentOptions } from '../models';
import { EditBranchProtectionOption } from '../models';
import { EditGitHookOption } from '../models';
import { EditHookOption } from '../models';
import { EditPullRequestOption } from '../models';
import { EditReleaseOption } from '../models';
import { EditRepoOption } from '../models';
import { FileDeleteResponse } from '../models';
import { FileResponse } from '../models';
import { GitBlobResponse } from '../models';
import { GitHook } from '../models';
import { GitTreeResponse } from '../models';
import { Hook } from '../models';
import { IssueTemplate } from '../models';
import { MergePullRequestOption } from '../models';
import { MigrateRepoOptions } from '../models';
import { PullRequest } from '../models';
import { PullReview } from '../models';
import { PullReviewComment } from '../models';
import { PullReviewRequestOptions } from '../models';
import { Reference } from '../models';
import { Release } from '../models';
import { RepoTopicOptions } from '../models';
import { Repository } from '../models';
import { SearchResults } from '../models';
import { SubmitPullReviewOptions } from '../models';
import { Tag } from '../models';
import { Team } from '../models';
import { TopicName } from '../models';
import { TopicResponse } from '../models';
import { TrackedTime } from '../models';
import { TransferRepoOption } from '../models';
import { UpdateFileOptions } from '../models';
import { User } from '../models';
import { WatchInfo } from '../models';
/**
 * RepositoryApi - axios parameter creator
 * @export
 */
export declare const RepositoryApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Create a repository
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCurrentUserRepo: (body?: CreateRepoOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Fork a repository
     * @param {string} owner owner of the repo to fork
     * @param {string} repo name of the repo to fork
     * @param {CreateForkOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createFork: (owner: string, repo: string, body?: CreateForkOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the blob of a repository.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBlob: (owner: string, repo: string, sha: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the tag object of an annotated tag (not lightweight tags)
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the tag. The Git tags API only supports annotated tag objects, not lightweight tags.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTag: (owner: string, repo: string, sha: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the tree of a repository.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {boolean} [recursive] show all directories and files
     * @param {number} [page] page number; the &#x27;truncated&#x27; field in the response will be true if there are still more items after this page, false if the last page
     * @param {number} [per_page] number of items per page
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTree: (owner: string, repo: string, sha: string, recursive?: boolean, page?: number, per_page?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repository's forks
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    listForks: (owner: string, repo: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add a collaborator to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator to add
     * @param {AddCollaboratorOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoAddCollaborator: (owner: string, repo: string, collaborator: string, body?: AddCollaboratorOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add a team to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoAddTeam: (owner: string, repo: string, team: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add a topic to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} topic name of the topic to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoAddTopc: (owner: string, repo: string, topic: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Check if a user is a collaborator of a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCheckCollaborator: (owner: string, repo: string, collaborator: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Check if a team is assigned to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCheckTeam: (owner: string, repo: string, team: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a branch
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateBranchRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateBranch: (owner: string, repo: string, body?: CreateBranchRepoOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a branch protections for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateBranchProtectionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateBranchProtection: (owner: string, repo: string, body?: CreateBranchProtectionOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a file in a repository
     * @param {CreateFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to create
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateFile: (body: CreateFileOptions, owner: string, repo: string, filepath: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateHook: (owner: string, repo: string, body?: CreateHookOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Add a key to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateKey: (owner: string, repo: string, body?: CreateKeyOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreatePullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreatePullRequest: (owner: string, repo: string, body?: CreatePullRequestOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a review to an pull request
     * @param {CreatePullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreatePullReview: (body: CreatePullReviewOptions, owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary create review requests for a pull request
     * @param {PullReviewRequestOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreatePullReviewRequests: (body: PullReviewRequestOptions, owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateReleaseOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateRelease: (owner: string, repo: string, body?: CreateReleaseOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a release attachment
     * @param {string} attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {string} [name] name of the attachment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateReleaseAttachment: (attachment: string, owner: string, repo: string, id: number, name?: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a commit status
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {CreateStatusOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateStatus: (owner: string, repo: string, sha: string, body?: CreateStatusOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a repository
     * @param {string} owner owner of the repo to delete
     * @param {string} repo name of the repo to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDelete: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a specific branch from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} branch branch to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteBranch: (owner: string, repo: string, branch: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a specific branch protection for the repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteBranchProtection: (owner: string, repo: string, name: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a collaborator from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteCollaborator: (owner: string, repo: string, collaborator: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a file in a repository
     * @param {DeleteFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteFile: (body: DeleteFileOptions, owner: string, repo: string, filepath: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a Git hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteGitHook: (owner: string, repo: string, id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteHook: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a key from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteKey: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a specific review from a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeletePullReview: (owner: string, repo: string, index: number, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary cancel review requests for a pull request
     * @param {PullReviewRequestOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeletePullReviewRequests: (body: PullReviewRequestOptions, owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteRelease: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteReleaseAttachment: (owner: string, repo: string, id: number, attachment_id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a release by tag name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag tag name of the release to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteReleaseByTag: (owner: string, repo: string, tag: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a repository's tag by name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag name of tag to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteTag: (owner: string, repo: string, tag: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a team from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteTeam: (owner: string, repo: string, team: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a topic from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} topic name of the topic to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteTopic: (owner: string, repo: string, topic: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Dismiss a review for a pull request
     * @param {DismissPullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDismissPullReview: (body: DismissPullReviewOptions, owner: string, repo: string, index: number, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a pull request diff
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDownloadPullDiff: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a pull request patch file
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDownloadPullPatch: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Edit a repository's properties. Only fields that are set will be changed.
     * @param {string} owner owner of the repo to edit
     * @param {string} repo name of the repo to edit
     * @param {EditRepoOption} [body] Properties of a repo that you can edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEdit: (owner: string, repo: string, body?: EditRepoOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Edit a branch protections for a repository. Only fields that are set will be changed
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {EditBranchProtectionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditBranchProtection: (owner: string, repo: string, name: string, body?: EditBranchProtectionOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Edit a Git hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {EditGitHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditGitHook: (owner: string, repo: string, id: string, body?: EditGitHookOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Edit a hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id index of the hook
     * @param {EditHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditHook: (owner: string, repo: string, id: number, body?: EditHookOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update a pull request. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to edit
     * @param {EditPullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditPullRequest: (owner: string, repo: string, index: number, body?: EditPullRequestOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to edit
     * @param {EditReleaseOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditRelease: (owner: string, repo: string, id: number, body?: EditReleaseOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Edit a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to edit
     * @param {EditAttachmentOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditReleaseAttachment: (owner: string, repo: string, id: number, attachment_id: number, body?: EditAttachmentOptions, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGet: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a list of all commits from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [sha] SHA or branch to start listing commits from (usually &#x27;master&#x27;)
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetAllCommits: (owner: string, repo: string, sha?: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get an archive of a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} archive the git reference for download with attached archive format (e.g. master.zip)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetArchive: (owner: string, repo: string, archive: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Retrieve a specific branch from a repository, including its effective branch protection
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} branch branch to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetBranch: (owner: string, repo: string, branch: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a specific branch protection for the repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetBranchProtection: (owner: string, repo: string, name: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a repository by id
     * @param {number} id id of the repo to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetByID: (id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a commit's combined status, by branch/tag/commit reference
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref name of branch/tag/commit
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetCombinedStatusByRef: (owner: string, repo: string, ref: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the metadata and contents (if a file) of an entry in a repository, or a list of entries if a dir
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the dir, file, symlink or submodule in the repo
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetContents: (owner: string, repo: string, filepath: string, ref?: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the metadata of all the entries of the root dir
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetContentsList: (owner: string, repo: string, ref?: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get the EditorConfig definitions of a file in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath filepath of file to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetEditorConfig: (owner: string, repo: string, filepath: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a Git hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetGitHook: (owner: string, repo: string, id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetHook: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get available issue templates for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetIssueTemplates: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a repository's key by id
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetKey: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get languages and number of bytes of code written
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetLanguages: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetPullRequest: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a specific review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetPullReview: (owner: string, repo: string, index: number, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a specific review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetPullReviewComments: (owner: string, repo: string, index: number, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a file from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath filepath of the file to get
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetRawFile: (owner: string, repo: string, filepath: string, ref?: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetRelease: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetReleaseAttachment: (owner: string, repo: string, id: number, attachment_id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a release by tag name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag tag name of the release to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetReleaseByTag: (owner: string, repo: string, tag: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a single commit from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha a git ref or commit sha
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetSingleCommit: (owner: string, repo: string, sha: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get specified ref or filtered repository's refs
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListAllGitRefs: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List branch protections for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListBranchProtection: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repository's branches
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListBranches: (owner: string, repo: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repository's collaborators
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListCollaborators: (owner: string, repo: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the Git hooks in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListGitHooks: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get specified ref or filtered repository's refs
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref part or full name of the ref
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListGitRefs: (owner: string, repo: string, ref: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List the hooks in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListHooks: (owner: string, repo: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repository's keys
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [key_id] the key_id to search for
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListKeys: (owner: string, repo: string, key_id?: number, fingerprint?: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repo's pull requests
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] State of pull request: open or closed (optional)
     * @param {string} [sort] Type of sort
     * @param {number} [milestone] ID of the milestone
     * @param {Array&lt;number&gt;} [labels] Label IDs
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListPullRequests: (owner: string, repo: string, state?: string, sort?: string, milestone?: number, labels?: Array<number>, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List all reviews for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListPullReviews: (owner: string, repo: string, index: number, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List release's attachments
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListReleaseAttachments: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repo's releases
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [per_page] page size of results, deprecated - use limit
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListReleases: (owner: string, repo: string, per_page?: number, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repo's stargazers
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListStargazers: (owner: string, repo: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a commit's statuses
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {string} [sort] type of sort
     * @param {string} [state] type of state
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListStatuses: (owner: string, repo: string, sha: string, sort?: string, state?: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get a commit's statuses, by branch/tag/commit reference
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref name of branch/tag/commit
     * @param {string} [sort] type of sort
     * @param {string} [state] type of state
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListStatusesByRef: (owner: string, repo: string, ref: string, sort?: string, state?: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repo's watchers
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListSubscribers: (owner: string, repo: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repository's tags
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results, default maximum page size is 50
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListTags: (owner: string, repo: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repository's teams
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListTeams: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get list of topics that a repository has
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListTopics: (owner: string, repo: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Merge a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to merge
     * @param {MergePullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoMergePullRequest: (owner: string, repo: string, index: number, body?: MergePullRequestOption, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Migrate a remote git repository
     * @param {MigrateRepoOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoMigrate: (body?: MigrateRepoOptions, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Sync a mirrored repository
     * @param {string} owner owner of the repo to sync
     * @param {string} repo name of the repo to sync
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoMirrorSync: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Check if a pull request has been merged
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoPullRequestIsMerged: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Search for repositories
     * @param {string} [q] keyword
     * @param {boolean} [topic] Limit search to repositories with keyword as topic
     * @param {boolean} [includeDesc] include search of keyword within repository description
     * @param {number} [uid] search only for repos that the user with the given id owns or contributes to
     * @param {number} [priority_owner_id] repo owner to prioritize in the results
     * @param {number} [team_id] search only for repos that belong to the given team id
     * @param {number} [starredBy] search only for repos that the user with the given id has starred
     * @param {boolean} [_private] include private repositories this user has access to (defaults to true)
     * @param {boolean} [is_private] show only pubic, private or all repositories (defaults to all)
     * @param {boolean} [template] include template repositories this user has access to (defaults to true)
     * @param {boolean} [archived] show only archived, non-archived or all repositories (defaults to all)
     * @param {string} [mode] type of repository to search for. Supported values are \&quot;fork\&quot;, \&quot;source\&quot;, \&quot;mirror\&quot; and \&quot;collaborative\&quot;
     * @param {boolean} [exclusive] if &#x60;uid&#x60; is given, search only for repos that the user owns
     * @param {string} [sort] sort repos by attribute. Supported values are \&quot;alpha\&quot;, \&quot;created\&quot;, \&quot;updated\&quot;, \&quot;size\&quot;, and \&quot;id\&quot;. Default is \&quot;alpha\&quot;
     * @param {string} [order] sort order, either \&quot;asc\&quot; (ascending) or \&quot;desc\&quot; (descending). Default is \&quot;asc\&quot;, ignored if \&quot;sort\&quot; is not specified.
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoSearch: (q?: string, topic?: boolean, includeDesc?: boolean, uid?: number, priority_owner_id?: number, team_id?: number, starredBy?: number, _private?: boolean, is_private?: boolean, template?: boolean, archived?: boolean, mode?: string, exclusive?: boolean, sort?: string, order?: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get signing-key.gpg for given repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoSigningKey: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Submit a pending review to an pull request
     * @param {SubmitPullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoSubmitPullReview: (body: SubmitPullReviewOptions, owner: string, repo: string, index: number, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Test a push webhook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to test
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoTestHook: (owner: string, repo: string, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a repo's tracked times
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [user] optional filter by user (available for issue managers)
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoTrackedTimes: (owner: string, repo: string, user?: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Transfer a repo ownership
     * @param {TransferRepoOption} body Transfer Options
     * @param {string} owner owner of the repo to transfer
     * @param {string} repo name of the repo to transfer
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoTransfer: (body: TransferRepoOption, owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Cancel to dismiss a review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUnDismissPullReview: (owner: string, repo: string, index: number, id: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update a file in a repository
     * @param {UpdateFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to update
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUpdateFile: (body: UpdateFileOptions, owner: string, repo: string, filepath: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Merge PR's baseBranch into headBranch
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUpdatePullRequest: (owner: string, repo: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Replace list of topics for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {RepoTopicOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUpdateTopics: (owner: string, repo: string, body?: RepoTopicOptions, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary search topics via keyword
     * @param {string} q keywords to search
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    topicSearch: (q: string, page?: number, limit?: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Check if the current user is watching a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentCheckSubscription: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Unwatch a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteSubscription: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Watch a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPutSubscription: (owner: string, repo: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary List a user's tracked times in a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} user username of user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userTrackedTimes: (owner: string, repo: string, user: string, options?: any) => Promise<RequestArgs>;
};
/**
 * RepositoryApi - functional programming interface
 * @export
 */
export declare const RepositoryApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Create a repository
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCurrentUserRepo(body?: CreateRepoOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Repository>>;
    /**
     *
     * @summary Fork a repository
     * @param {string} owner owner of the repo to fork
     * @param {string} repo name of the repo to fork
     * @param {CreateForkOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createFork(owner: string, repo: string, body?: CreateForkOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Repository>>;
    /**
     *
     * @summary Gets the blob of a repository.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBlob(owner: string, repo: string, sha: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GitBlobResponse>>;
    /**
     *
     * @summary Gets the tag object of an annotated tag (not lightweight tags)
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the tag. The Git tags API only supports annotated tag objects, not lightweight tags.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTag(owner: string, repo: string, sha: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<AnnotatedTag>>;
    /**
     *
     * @summary Gets the tree of a repository.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {boolean} [recursive] show all directories and files
     * @param {number} [page] page number; the &#x27;truncated&#x27; field in the response will be true if there are still more items after this page, false if the last page
     * @param {number} [per_page] number of items per page
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTree(owner: string, repo: string, sha: string, recursive?: boolean, page?: number, per_page?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GitTreeResponse>>;
    /**
     *
     * @summary List a repository's forks
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    listForks(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Repository>>>;
    /**
     *
     * @summary Add a collaborator to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator to add
     * @param {AddCollaboratorOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoAddCollaborator(owner: string, repo: string, collaborator: string, body?: AddCollaboratorOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Add a team to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoAddTeam(owner: string, repo: string, team: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Add a topic to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} topic name of the topic to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoAddTopc(owner: string, repo: string, topic: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Check if a user is a collaborator of a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCheckCollaborator(owner: string, repo: string, collaborator: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Check if a team is assigned to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCheckTeam(owner: string, repo: string, team: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Team>>;
    /**
     *
     * @summary Create a branch
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateBranchRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateBranch(owner: string, repo: string, body?: CreateBranchRepoOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Branch>>;
    /**
     *
     * @summary Create a branch protections for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateBranchProtectionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateBranchProtection(owner: string, repo: string, body?: CreateBranchProtectionOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<BranchProtection>>;
    /**
     *
     * @summary Create a file in a repository
     * @param {CreateFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to create
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateFile(body: CreateFileOptions, owner: string, repo: string, filepath: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<FileResponse>>;
    /**
     *
     * @summary Create a hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateHook(owner: string, repo: string, body?: CreateHookOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Hook>>;
    /**
     *
     * @summary Add a key to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateKey(owner: string, repo: string, body?: CreateKeyOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DeployKey>>;
    /**
     *
     * @summary Create a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreatePullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreatePullRequest(owner: string, repo: string, body?: CreatePullRequestOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PullRequest>>;
    /**
     *
     * @summary Create a review to an pull request
     * @param {CreatePullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreatePullReview(body: CreatePullReviewOptions, owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PullReview>>;
    /**
     *
     * @summary create review requests for a pull request
     * @param {PullReviewRequestOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreatePullReviewRequests(body: PullReviewRequestOptions, owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<PullReview>>>;
    /**
     *
     * @summary Create a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateReleaseOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateRelease(owner: string, repo: string, body?: CreateReleaseOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Release>>;
    /**
     *
     * @summary Create a release attachment
     * @param {string} attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {string} [name] name of the attachment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateReleaseAttachment(attachment: string, owner: string, repo: string, id: number, name?: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Attachment>>;
    /**
     *
     * @summary Create a commit status
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {CreateStatusOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateStatus(owner: string, repo: string, sha: string, body?: CreateStatusOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CommitStatus>>;
    /**
     *
     * @summary Delete a repository
     * @param {string} owner owner of the repo to delete
     * @param {string} repo name of the repo to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDelete(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a specific branch from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} branch branch to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteBranch(owner: string, repo: string, branch: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a specific branch protection for the repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteBranchProtection(owner: string, repo: string, name: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a collaborator from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteCollaborator(owner: string, repo: string, collaborator: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a file in a repository
     * @param {DeleteFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteFile(body: DeleteFileOptions, owner: string, repo: string, filepath: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<FileDeleteResponse>>;
    /**
     *
     * @summary Delete a Git hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteGitHook(owner: string, repo: string, id: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteHook(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a key from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteKey(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a specific review from a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeletePullReview(owner: string, repo: string, index: number, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary cancel review requests for a pull request
     * @param {PullReviewRequestOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeletePullReviewRequests(body: PullReviewRequestOptions, owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteRelease(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteReleaseAttachment(owner: string, repo: string, id: number, attachment_id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a release by tag name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag tag name of the release to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteReleaseByTag(owner: string, repo: string, tag: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a repository's tag by name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag name of tag to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteTag(owner: string, repo: string, tag: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a team from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteTeam(owner: string, repo: string, team: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete a topic from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} topic name of the topic to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteTopic(owner: string, repo: string, topic: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Dismiss a review for a pull request
     * @param {DismissPullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDismissPullReview(body: DismissPullReviewOptions, owner: string, repo: string, index: number, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PullReview>>;
    /**
     *
     * @summary Get a pull request diff
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDownloadPullDiff(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<string>>;
    /**
     *
     * @summary Get a pull request patch file
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDownloadPullPatch(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<string>>;
    /**
     *
     * @summary Edit a repository's properties. Only fields that are set will be changed.
     * @param {string} owner owner of the repo to edit
     * @param {string} repo name of the repo to edit
     * @param {EditRepoOption} [body] Properties of a repo that you can edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEdit(owner: string, repo: string, body?: EditRepoOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Repository>>;
    /**
     *
     * @summary Edit a branch protections for a repository. Only fields that are set will be changed
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {EditBranchProtectionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditBranchProtection(owner: string, repo: string, name: string, body?: EditBranchProtectionOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<BranchProtection>>;
    /**
     *
     * @summary Edit a Git hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {EditGitHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditGitHook(owner: string, repo: string, id: string, body?: EditGitHookOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GitHook>>;
    /**
     *
     * @summary Edit a hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id index of the hook
     * @param {EditHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditHook(owner: string, repo: string, id: number, body?: EditHookOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Hook>>;
    /**
     *
     * @summary Update a pull request. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to edit
     * @param {EditPullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditPullRequest(owner: string, repo: string, index: number, body?: EditPullRequestOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PullRequest>>;
    /**
     *
     * @summary Update a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to edit
     * @param {EditReleaseOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditRelease(owner: string, repo: string, id: number, body?: EditReleaseOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Release>>;
    /**
     *
     * @summary Edit a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to edit
     * @param {EditAttachmentOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditReleaseAttachment(owner: string, repo: string, id: number, attachment_id: number, body?: EditAttachmentOptions, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Attachment>>;
    /**
     *
     * @summary Get a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGet(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Repository>>;
    /**
     *
     * @summary Get a list of all commits from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [sha] SHA or branch to start listing commits from (usually &#x27;master&#x27;)
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetAllCommits(owner: string, repo: string, sha?: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Commit>>>;
    /**
     *
     * @summary Get an archive of a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} archive the git reference for download with attached archive format (e.g. master.zip)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetArchive(owner: string, repo: string, archive: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Retrieve a specific branch from a repository, including its effective branch protection
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} branch branch to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetBranch(owner: string, repo: string, branch: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Branch>>;
    /**
     *
     * @summary Get a specific branch protection for the repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetBranchProtection(owner: string, repo: string, name: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<BranchProtection>>;
    /**
     *
     * @summary Get a repository by id
     * @param {number} id id of the repo to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetByID(id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Repository>>;
    /**
     *
     * @summary Get a commit's combined status, by branch/tag/commit reference
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref name of branch/tag/commit
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetCombinedStatusByRef(owner: string, repo: string, ref: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CombinedStatus>>;
    /**
     *
     * @summary Gets the metadata and contents (if a file) of an entry in a repository, or a list of entries if a dir
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the dir, file, symlink or submodule in the repo
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetContents(owner: string, repo: string, filepath: string, ref?: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ContentsResponse>>;
    /**
     *
     * @summary Gets the metadata of all the entries of the root dir
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetContentsList(owner: string, repo: string, ref?: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<ContentsResponse>>>;
    /**
     *
     * @summary Get the EditorConfig definitions of a file in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath filepath of file to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetEditorConfig(owner: string, repo: string, filepath: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Get a Git hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetGitHook(owner: string, repo: string, id: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GitHook>>;
    /**
     *
     * @summary Get a hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetHook(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Hook>>;
    /**
     *
     * @summary Get available issue templates for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetIssueTemplates(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<IssueTemplate>>>;
    /**
     *
     * @summary Get a repository's key by id
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetKey(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DeployKey>>;
    /**
     *
     * @summary Get languages and number of bytes of code written
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetLanguages(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<{
        [key: string]: number;
    }>>;
    /**
     *
     * @summary Get a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetPullRequest(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PullRequest>>;
    /**
     *
     * @summary Get a specific review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetPullReview(owner: string, repo: string, index: number, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PullReview>>;
    /**
     *
     * @summary Get a specific review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetPullReviewComments(owner: string, repo: string, index: number, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<PullReviewComment>>>;
    /**
     *
     * @summary Get a file from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath filepath of the file to get
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetRawFile(owner: string, repo: string, filepath: string, ref?: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Get a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetRelease(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Release>>;
    /**
     *
     * @summary Get a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetReleaseAttachment(owner: string, repo: string, id: number, attachment_id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Attachment>>;
    /**
     *
     * @summary Get a release by tag name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag tag name of the release to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetReleaseByTag(owner: string, repo: string, tag: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Release>>;
    /**
     *
     * @summary Get a single commit from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha a git ref or commit sha
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetSingleCommit(owner: string, repo: string, sha: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Commit>>;
    /**
     *
     * @summary Get specified ref or filtered repository's refs
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListAllGitRefs(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Reference>>>;
    /**
     *
     * @summary List branch protections for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListBranchProtection(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<BranchProtection>>>;
    /**
     *
     * @summary List a repository's branches
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListBranches(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Branch>>>;
    /**
     *
     * @summary List a repository's collaborators
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListCollaborators(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary List the Git hooks in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListGitHooks(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<GitHook>>>;
    /**
     *
     * @summary Get specified ref or filtered repository's refs
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref part or full name of the ref
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListGitRefs(owner: string, repo: string, ref: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Reference>>>;
    /**
     *
     * @summary List the hooks in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListHooks(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Hook>>>;
    /**
     *
     * @summary List a repository's keys
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [key_id] the key_id to search for
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListKeys(owner: string, repo: string, key_id?: number, fingerprint?: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<DeployKey>>>;
    /**
     *
     * @summary List a repo's pull requests
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] State of pull request: open or closed (optional)
     * @param {string} [sort] Type of sort
     * @param {number} [milestone] ID of the milestone
     * @param {Array&lt;number&gt;} [labels] Label IDs
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListPullRequests(owner: string, repo: string, state?: string, sort?: string, milestone?: number, labels?: Array<number>, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<PullRequest>>>;
    /**
     *
     * @summary List all reviews for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListPullReviews(owner: string, repo: string, index: number, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<PullReview>>>;
    /**
     *
     * @summary List release's attachments
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListReleaseAttachments(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Attachment>>>;
    /**
     *
     * @summary List a repo's releases
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [per_page] page size of results, deprecated - use limit
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListReleases(owner: string, repo: string, per_page?: number, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Release>>>;
    /**
     *
     * @summary List a repo's stargazers
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListStargazers(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary Get a commit's statuses
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {string} [sort] type of sort
     * @param {string} [state] type of state
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListStatuses(owner: string, repo: string, sha: string, sort?: string, state?: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<CommitStatus>>>;
    /**
     *
     * @summary Get a commit's statuses, by branch/tag/commit reference
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref name of branch/tag/commit
     * @param {string} [sort] type of sort
     * @param {string} [state] type of state
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListStatusesByRef(owner: string, repo: string, ref: string, sort?: string, state?: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<CommitStatus>>>;
    /**
     *
     * @summary List a repo's watchers
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListSubscribers(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<User>>>;
    /**
     *
     * @summary List a repository's tags
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results, default maximum page size is 50
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListTags(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Tag>>>;
    /**
     *
     * @summary List a repository's teams
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListTeams(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<Team>>>;
    /**
     *
     * @summary Get list of topics that a repository has
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListTopics(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<TopicName>>;
    /**
     *
     * @summary Merge a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to merge
     * @param {MergePullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoMergePullRequest(owner: string, repo: string, index: number, body?: MergePullRequestOption, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Migrate a remote git repository
     * @param {MigrateRepoOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoMigrate(body?: MigrateRepoOptions, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Repository>>;
    /**
     *
     * @summary Sync a mirrored repository
     * @param {string} owner owner of the repo to sync
     * @param {string} repo name of the repo to sync
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoMirrorSync(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Check if a pull request has been merged
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoPullRequestIsMerged(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Search for repositories
     * @param {string} [q] keyword
     * @param {boolean} [topic] Limit search to repositories with keyword as topic
     * @param {boolean} [includeDesc] include search of keyword within repository description
     * @param {number} [uid] search only for repos that the user with the given id owns or contributes to
     * @param {number} [priority_owner_id] repo owner to prioritize in the results
     * @param {number} [team_id] search only for repos that belong to the given team id
     * @param {number} [starredBy] search only for repos that the user with the given id has starred
     * @param {boolean} [_private] include private repositories this user has access to (defaults to true)
     * @param {boolean} [is_private] show only pubic, private or all repositories (defaults to all)
     * @param {boolean} [template] include template repositories this user has access to (defaults to true)
     * @param {boolean} [archived] show only archived, non-archived or all repositories (defaults to all)
     * @param {string} [mode] type of repository to search for. Supported values are \&quot;fork\&quot;, \&quot;source\&quot;, \&quot;mirror\&quot; and \&quot;collaborative\&quot;
     * @param {boolean} [exclusive] if &#x60;uid&#x60; is given, search only for repos that the user owns
     * @param {string} [sort] sort repos by attribute. Supported values are \&quot;alpha\&quot;, \&quot;created\&quot;, \&quot;updated\&quot;, \&quot;size\&quot;, and \&quot;id\&quot;. Default is \&quot;alpha\&quot;
     * @param {string} [order] sort order, either \&quot;asc\&quot; (ascending) or \&quot;desc\&quot; (descending). Default is \&quot;asc\&quot;, ignored if \&quot;sort\&quot; is not specified.
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoSearch(q?: string, topic?: boolean, includeDesc?: boolean, uid?: number, priority_owner_id?: number, team_id?: number, starredBy?: number, _private?: boolean, is_private?: boolean, template?: boolean, archived?: boolean, mode?: string, exclusive?: boolean, sort?: string, order?: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SearchResults>>;
    /**
     *
     * @summary Get signing-key.gpg for given repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoSigningKey(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<string>>;
    /**
     *
     * @summary Submit a pending review to an pull request
     * @param {SubmitPullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoSubmitPullReview(body: SubmitPullReviewOptions, owner: string, repo: string, index: number, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PullReview>>;
    /**
     *
     * @summary Test a push webhook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to test
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoTestHook(owner: string, repo: string, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary List a repo's tracked times
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [user] optional filter by user (available for issue managers)
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoTrackedTimes(owner: string, repo: string, user?: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<TrackedTime>>>;
    /**
     *
     * @summary Transfer a repo ownership
     * @param {TransferRepoOption} body Transfer Options
     * @param {string} owner owner of the repo to transfer
     * @param {string} repo name of the repo to transfer
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoTransfer(body: TransferRepoOption, owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Repository>>;
    /**
     *
     * @summary Cancel to dismiss a review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUnDismissPullReview(owner: string, repo: string, index: number, id: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PullReview>>;
    /**
     *
     * @summary Update a file in a repository
     * @param {UpdateFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to update
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUpdateFile(body: UpdateFileOptions, owner: string, repo: string, filepath: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<FileResponse>>;
    /**
     *
     * @summary Merge PR's baseBranch into headBranch
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUpdatePullRequest(owner: string, repo: string, index: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Replace list of topics for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {RepoTopicOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUpdateTopics(owner: string, repo: string, body?: RepoTopicOptions, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary search topics via keyword
     * @param {string} q keywords to search
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    topicSearch(q: string, page?: number, limit?: number, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<TopicResponse>>>;
    /**
     *
     * @summary Check if the current user is watching a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentCheckSubscription(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<WatchInfo>>;
    /**
     *
     * @summary Unwatch a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteSubscription(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>>;
    /**
     *
     * @summary Watch a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPutSubscription(owner: string, repo: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<WatchInfo>>;
    /**
     *
     * @summary List a user's tracked times in a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} user username of user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userTrackedTimes(owner: string, repo: string, user: string, options?: any): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<TrackedTime>>>;
};
/**
 * RepositoryApi - factory interface
 * @export
 */
export declare const RepositoryApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Create a repository
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCurrentUserRepo(body?: CreateRepoOption, options?: any): AxiosPromise<Repository>;
    /**
     *
     * @summary Fork a repository
     * @param {string} owner owner of the repo to fork
     * @param {string} repo name of the repo to fork
     * @param {CreateForkOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createFork(owner: string, repo: string, body?: CreateForkOption, options?: any): AxiosPromise<Repository>;
    /**
     *
     * @summary Gets the blob of a repository.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBlob(owner: string, repo: string, sha: string, options?: any): AxiosPromise<GitBlobResponse>;
    /**
     *
     * @summary Gets the tag object of an annotated tag (not lightweight tags)
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the tag. The Git tags API only supports annotated tag objects, not lightweight tags.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTag(owner: string, repo: string, sha: string, options?: any): AxiosPromise<AnnotatedTag>;
    /**
     *
     * @summary Gets the tree of a repository.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {boolean} [recursive] show all directories and files
     * @param {number} [page] page number; the &#x27;truncated&#x27; field in the response will be true if there are still more items after this page, false if the last page
     * @param {number} [per_page] number of items per page
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTree(owner: string, repo: string, sha: string, recursive?: boolean, page?: number, per_page?: number, options?: any): AxiosPromise<GitTreeResponse>;
    /**
     *
     * @summary List a repository's forks
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    listForks(owner: string, repo: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Repository>>;
    /**
     *
     * @summary Add a collaborator to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator to add
     * @param {AddCollaboratorOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoAddCollaborator(owner: string, repo: string, collaborator: string, body?: AddCollaboratorOption, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Add a team to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoAddTeam(owner: string, repo: string, team: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Add a topic to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} topic name of the topic to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoAddTopc(owner: string, repo: string, topic: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Check if a user is a collaborator of a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCheckCollaborator(owner: string, repo: string, collaborator: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Check if a team is assigned to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCheckTeam(owner: string, repo: string, team: string, options?: any): AxiosPromise<Team>;
    /**
     *
     * @summary Create a branch
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateBranchRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateBranch(owner: string, repo: string, body?: CreateBranchRepoOption, options?: any): AxiosPromise<Branch>;
    /**
     *
     * @summary Create a branch protections for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateBranchProtectionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateBranchProtection(owner: string, repo: string, body?: CreateBranchProtectionOption, options?: any): AxiosPromise<BranchProtection>;
    /**
     *
     * @summary Create a file in a repository
     * @param {CreateFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to create
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateFile(body: CreateFileOptions, owner: string, repo: string, filepath: string, options?: any): AxiosPromise<FileResponse>;
    /**
     *
     * @summary Create a hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateHook(owner: string, repo: string, body?: CreateHookOption, options?: any): AxiosPromise<Hook>;
    /**
     *
     * @summary Add a key to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateKey(owner: string, repo: string, body?: CreateKeyOption, options?: any): AxiosPromise<DeployKey>;
    /**
     *
     * @summary Create a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreatePullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreatePullRequest(owner: string, repo: string, body?: CreatePullRequestOption, options?: any): AxiosPromise<PullRequest>;
    /**
     *
     * @summary Create a review to an pull request
     * @param {CreatePullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreatePullReview(body: CreatePullReviewOptions, owner: string, repo: string, index: number, options?: any): AxiosPromise<PullReview>;
    /**
     *
     * @summary create review requests for a pull request
     * @param {PullReviewRequestOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreatePullReviewRequests(body: PullReviewRequestOptions, owner: string, repo: string, index: number, options?: any): AxiosPromise<Array<PullReview>>;
    /**
     *
     * @summary Create a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateReleaseOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateRelease(owner: string, repo: string, body?: CreateReleaseOption, options?: any): AxiosPromise<Release>;
    /**
     *
     * @summary Create a release attachment
     * @param {string} attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {string} [name] name of the attachment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateReleaseAttachment(attachment: string, owner: string, repo: string, id: number, name?: string, options?: any): AxiosPromise<Attachment>;
    /**
     *
     * @summary Create a commit status
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {CreateStatusOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoCreateStatus(owner: string, repo: string, sha: string, body?: CreateStatusOption, options?: any): AxiosPromise<CommitStatus>;
    /**
     *
     * @summary Delete a repository
     * @param {string} owner owner of the repo to delete
     * @param {string} repo name of the repo to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDelete(owner: string, repo: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a specific branch from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} branch branch to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteBranch(owner: string, repo: string, branch: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a specific branch protection for the repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteBranchProtection(owner: string, repo: string, name: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a collaborator from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteCollaborator(owner: string, repo: string, collaborator: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a file in a repository
     * @param {DeleteFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteFile(body: DeleteFileOptions, owner: string, repo: string, filepath: string, options?: any): AxiosPromise<FileDeleteResponse>;
    /**
     *
     * @summary Delete a Git hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteGitHook(owner: string, repo: string, id: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteHook(owner: string, repo: string, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a key from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteKey(owner: string, repo: string, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a specific review from a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeletePullReview(owner: string, repo: string, index: number, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary cancel review requests for a pull request
     * @param {PullReviewRequestOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeletePullReviewRequests(body: PullReviewRequestOptions, owner: string, repo: string, index: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteRelease(owner: string, repo: string, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteReleaseAttachment(owner: string, repo: string, id: number, attachment_id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a release by tag name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag tag name of the release to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteReleaseByTag(owner: string, repo: string, tag: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a repository's tag by name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag name of tag to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteTag(owner: string, repo: string, tag: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a team from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteTeam(owner: string, repo: string, team: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete a topic from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} topic name of the topic to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDeleteTopic(owner: string, repo: string, topic: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Dismiss a review for a pull request
     * @param {DismissPullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDismissPullReview(body: DismissPullReviewOptions, owner: string, repo: string, index: number, id: number, options?: any): AxiosPromise<PullReview>;
    /**
     *
     * @summary Get a pull request diff
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDownloadPullDiff(owner: string, repo: string, index: number, options?: any): AxiosPromise<string>;
    /**
     *
     * @summary Get a pull request patch file
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoDownloadPullPatch(owner: string, repo: string, index: number, options?: any): AxiosPromise<string>;
    /**
     *
     * @summary Edit a repository's properties. Only fields that are set will be changed.
     * @param {string} owner owner of the repo to edit
     * @param {string} repo name of the repo to edit
     * @param {EditRepoOption} [body] Properties of a repo that you can edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEdit(owner: string, repo: string, body?: EditRepoOption, options?: any): AxiosPromise<Repository>;
    /**
     *
     * @summary Edit a branch protections for a repository. Only fields that are set will be changed
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {EditBranchProtectionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditBranchProtection(owner: string, repo: string, name: string, body?: EditBranchProtectionOption, options?: any): AxiosPromise<BranchProtection>;
    /**
     *
     * @summary Edit a Git hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {EditGitHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditGitHook(owner: string, repo: string, id: string, body?: EditGitHookOption, options?: any): AxiosPromise<GitHook>;
    /**
     *
     * @summary Edit a hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id index of the hook
     * @param {EditHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditHook(owner: string, repo: string, id: number, body?: EditHookOption, options?: any): AxiosPromise<Hook>;
    /**
     *
     * @summary Update a pull request. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to edit
     * @param {EditPullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditPullRequest(owner: string, repo: string, index: number, body?: EditPullRequestOption, options?: any): AxiosPromise<PullRequest>;
    /**
     *
     * @summary Update a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to edit
     * @param {EditReleaseOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditRelease(owner: string, repo: string, id: number, body?: EditReleaseOption, options?: any): AxiosPromise<Release>;
    /**
     *
     * @summary Edit a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to edit
     * @param {EditAttachmentOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoEditReleaseAttachment(owner: string, repo: string, id: number, attachment_id: number, body?: EditAttachmentOptions, options?: any): AxiosPromise<Attachment>;
    /**
     *
     * @summary Get a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGet(owner: string, repo: string, options?: any): AxiosPromise<Repository>;
    /**
     *
     * @summary Get a list of all commits from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [sha] SHA or branch to start listing commits from (usually &#x27;master&#x27;)
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetAllCommits(owner: string, repo: string, sha?: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Commit>>;
    /**
     *
     * @summary Get an archive of a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} archive the git reference for download with attached archive format (e.g. master.zip)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetArchive(owner: string, repo: string, archive: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Retrieve a specific branch from a repository, including its effective branch protection
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} branch branch to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetBranch(owner: string, repo: string, branch: string, options?: any): AxiosPromise<Branch>;
    /**
     *
     * @summary Get a specific branch protection for the repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetBranchProtection(owner: string, repo: string, name: string, options?: any): AxiosPromise<BranchProtection>;
    /**
     *
     * @summary Get a repository by id
     * @param {number} id id of the repo to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetByID(id: number, options?: any): AxiosPromise<Repository>;
    /**
     *
     * @summary Get a commit's combined status, by branch/tag/commit reference
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref name of branch/tag/commit
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetCombinedStatusByRef(owner: string, repo: string, ref: string, page?: number, limit?: number, options?: any): AxiosPromise<CombinedStatus>;
    /**
     *
     * @summary Gets the metadata and contents (if a file) of an entry in a repository, or a list of entries if a dir
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the dir, file, symlink or submodule in the repo
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetContents(owner: string, repo: string, filepath: string, ref?: string, options?: any): AxiosPromise<ContentsResponse>;
    /**
     *
     * @summary Gets the metadata of all the entries of the root dir
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetContentsList(owner: string, repo: string, ref?: string, options?: any): AxiosPromise<Array<ContentsResponse>>;
    /**
     *
     * @summary Get the EditorConfig definitions of a file in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath filepath of file to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetEditorConfig(owner: string, repo: string, filepath: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Get a Git hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetGitHook(owner: string, repo: string, id: string, options?: any): AxiosPromise<GitHook>;
    /**
     *
     * @summary Get a hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetHook(owner: string, repo: string, id: number, options?: any): AxiosPromise<Hook>;
    /**
     *
     * @summary Get available issue templates for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetIssueTemplates(owner: string, repo: string, options?: any): AxiosPromise<Array<IssueTemplate>>;
    /**
     *
     * @summary Get a repository's key by id
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetKey(owner: string, repo: string, id: number, options?: any): AxiosPromise<DeployKey>;
    /**
     *
     * @summary Get languages and number of bytes of code written
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetLanguages(owner: string, repo: string, options?: any): AxiosPromise<{
        [key: string]: number;
    }>;
    /**
     *
     * @summary Get a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetPullRequest(owner: string, repo: string, index: number, options?: any): AxiosPromise<PullRequest>;
    /**
     *
     * @summary Get a specific review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetPullReview(owner: string, repo: string, index: number, id: number, options?: any): AxiosPromise<PullReview>;
    /**
     *
     * @summary Get a specific review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetPullReviewComments(owner: string, repo: string, index: number, id: number, options?: any): AxiosPromise<Array<PullReviewComment>>;
    /**
     *
     * @summary Get a file from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath filepath of the file to get
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetRawFile(owner: string, repo: string, filepath: string, ref?: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Get a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetRelease(owner: string, repo: string, id: number, options?: any): AxiosPromise<Release>;
    /**
     *
     * @summary Get a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetReleaseAttachment(owner: string, repo: string, id: number, attachment_id: number, options?: any): AxiosPromise<Attachment>;
    /**
     *
     * @summary Get a release by tag name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag tag name of the release to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetReleaseByTag(owner: string, repo: string, tag: string, options?: any): AxiosPromise<Release>;
    /**
     *
     * @summary Get a single commit from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha a git ref or commit sha
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoGetSingleCommit(owner: string, repo: string, sha: string, options?: any): AxiosPromise<Commit>;
    /**
     *
     * @summary Get specified ref or filtered repository's refs
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListAllGitRefs(owner: string, repo: string, options?: any): AxiosPromise<Array<Reference>>;
    /**
     *
     * @summary List branch protections for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListBranchProtection(owner: string, repo: string, options?: any): AxiosPromise<Array<BranchProtection>>;
    /**
     *
     * @summary List a repository's branches
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListBranches(owner: string, repo: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Branch>>;
    /**
     *
     * @summary List a repository's collaborators
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListCollaborators(owner: string, repo: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary List the Git hooks in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListGitHooks(owner: string, repo: string, options?: any): AxiosPromise<Array<GitHook>>;
    /**
     *
     * @summary Get specified ref or filtered repository's refs
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref part or full name of the ref
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListGitRefs(owner: string, repo: string, ref: string, options?: any): AxiosPromise<Array<Reference>>;
    /**
     *
     * @summary List the hooks in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListHooks(owner: string, repo: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Hook>>;
    /**
     *
     * @summary List a repository's keys
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [key_id] the key_id to search for
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListKeys(owner: string, repo: string, key_id?: number, fingerprint?: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<DeployKey>>;
    /**
     *
     * @summary List a repo's pull requests
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] State of pull request: open or closed (optional)
     * @param {string} [sort] Type of sort
     * @param {number} [milestone] ID of the milestone
     * @param {Array&lt;number&gt;} [labels] Label IDs
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListPullRequests(owner: string, repo: string, state?: string, sort?: string, milestone?: number, labels?: Array<number>, page?: number, limit?: number, options?: any): AxiosPromise<Array<PullRequest>>;
    /**
     *
     * @summary List all reviews for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListPullReviews(owner: string, repo: string, index: number, page?: number, limit?: number, options?: any): AxiosPromise<Array<PullReview>>;
    /**
     *
     * @summary List release's attachments
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListReleaseAttachments(owner: string, repo: string, id: number, options?: any): AxiosPromise<Array<Attachment>>;
    /**
     *
     * @summary List a repo's releases
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [per_page] page size of results, deprecated - use limit
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListReleases(owner: string, repo: string, per_page?: number, page?: number, limit?: number, options?: any): AxiosPromise<Array<Release>>;
    /**
     *
     * @summary List a repo's stargazers
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListStargazers(owner: string, repo: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary Get a commit's statuses
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {string} [sort] type of sort
     * @param {string} [state] type of state
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListStatuses(owner: string, repo: string, sha: string, sort?: string, state?: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<CommitStatus>>;
    /**
     *
     * @summary Get a commit's statuses, by branch/tag/commit reference
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref name of branch/tag/commit
     * @param {string} [sort] type of sort
     * @param {string} [state] type of state
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListStatusesByRef(owner: string, repo: string, ref: string, sort?: string, state?: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<CommitStatus>>;
    /**
     *
     * @summary List a repo's watchers
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListSubscribers(owner: string, repo: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<User>>;
    /**
     *
     * @summary List a repository's tags
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results, default maximum page size is 50
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListTags(owner: string, repo: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<Tag>>;
    /**
     *
     * @summary List a repository's teams
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListTeams(owner: string, repo: string, options?: any): AxiosPromise<Array<Team>>;
    /**
     *
     * @summary Get list of topics that a repository has
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoListTopics(owner: string, repo: string, page?: number, limit?: number, options?: any): AxiosPromise<TopicName>;
    /**
     *
     * @summary Merge a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to merge
     * @param {MergePullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoMergePullRequest(owner: string, repo: string, index: number, body?: MergePullRequestOption, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Migrate a remote git repository
     * @param {MigrateRepoOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoMigrate(body?: MigrateRepoOptions, options?: any): AxiosPromise<Repository>;
    /**
     *
     * @summary Sync a mirrored repository
     * @param {string} owner owner of the repo to sync
     * @param {string} repo name of the repo to sync
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoMirrorSync(owner: string, repo: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Check if a pull request has been merged
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoPullRequestIsMerged(owner: string, repo: string, index: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Search for repositories
     * @param {string} [q] keyword
     * @param {boolean} [topic] Limit search to repositories with keyword as topic
     * @param {boolean} [includeDesc] include search of keyword within repository description
     * @param {number} [uid] search only for repos that the user with the given id owns or contributes to
     * @param {number} [priority_owner_id] repo owner to prioritize in the results
     * @param {number} [team_id] search only for repos that belong to the given team id
     * @param {number} [starredBy] search only for repos that the user with the given id has starred
     * @param {boolean} [_private] include private repositories this user has access to (defaults to true)
     * @param {boolean} [is_private] show only pubic, private or all repositories (defaults to all)
     * @param {boolean} [template] include template repositories this user has access to (defaults to true)
     * @param {boolean} [archived] show only archived, non-archived or all repositories (defaults to all)
     * @param {string} [mode] type of repository to search for. Supported values are \&quot;fork\&quot;, \&quot;source\&quot;, \&quot;mirror\&quot; and \&quot;collaborative\&quot;
     * @param {boolean} [exclusive] if &#x60;uid&#x60; is given, search only for repos that the user owns
     * @param {string} [sort] sort repos by attribute. Supported values are \&quot;alpha\&quot;, \&quot;created\&quot;, \&quot;updated\&quot;, \&quot;size\&quot;, and \&quot;id\&quot;. Default is \&quot;alpha\&quot;
     * @param {string} [order] sort order, either \&quot;asc\&quot; (ascending) or \&quot;desc\&quot; (descending). Default is \&quot;asc\&quot;, ignored if \&quot;sort\&quot; is not specified.
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoSearch(q?: string, topic?: boolean, includeDesc?: boolean, uid?: number, priority_owner_id?: number, team_id?: number, starredBy?: number, _private?: boolean, is_private?: boolean, template?: boolean, archived?: boolean, mode?: string, exclusive?: boolean, sort?: string, order?: string, page?: number, limit?: number, options?: any): AxiosPromise<SearchResults>;
    /**
     *
     * @summary Get signing-key.gpg for given repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoSigningKey(owner: string, repo: string, options?: any): AxiosPromise<string>;
    /**
     *
     * @summary Submit a pending review to an pull request
     * @param {SubmitPullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoSubmitPullReview(body: SubmitPullReviewOptions, owner: string, repo: string, index: number, id: number, options?: any): AxiosPromise<PullReview>;
    /**
     *
     * @summary Test a push webhook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to test
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoTestHook(owner: string, repo: string, id: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary List a repo's tracked times
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [user] optional filter by user (available for issue managers)
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoTrackedTimes(owner: string, repo: string, user?: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any): AxiosPromise<Array<TrackedTime>>;
    /**
     *
     * @summary Transfer a repo ownership
     * @param {TransferRepoOption} body Transfer Options
     * @param {string} owner owner of the repo to transfer
     * @param {string} repo name of the repo to transfer
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoTransfer(body: TransferRepoOption, owner: string, repo: string, options?: any): AxiosPromise<Repository>;
    /**
     *
     * @summary Cancel to dismiss a review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUnDismissPullReview(owner: string, repo: string, index: number, id: number, options?: any): AxiosPromise<PullReview>;
    /**
     *
     * @summary Update a file in a repository
     * @param {UpdateFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to update
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUpdateFile(body: UpdateFileOptions, owner: string, repo: string, filepath: string, options?: any): AxiosPromise<FileResponse>;
    /**
     *
     * @summary Merge PR's baseBranch into headBranch
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUpdatePullRequest(owner: string, repo: string, index: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Replace list of topics for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {RepoTopicOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    repoUpdateTopics(owner: string, repo: string, body?: RepoTopicOptions, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary search topics via keyword
     * @param {string} q keywords to search
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    topicSearch(q: string, page?: number, limit?: number, options?: any): AxiosPromise<Array<TopicResponse>>;
    /**
     *
     * @summary Check if the current user is watching a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentCheckSubscription(owner: string, repo: string, options?: any): AxiosPromise<WatchInfo>;
    /**
     *
     * @summary Unwatch a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentDeleteSubscription(owner: string, repo: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Watch a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userCurrentPutSubscription(owner: string, repo: string, options?: any): AxiosPromise<WatchInfo>;
    /**
     *
     * @summary List a user's tracked times in a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} user username of user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    userTrackedTimes(owner: string, repo: string, user: string, options?: any): AxiosPromise<Array<TrackedTime>>;
};
/**
 * RepositoryApi - object-oriented interface
 * @export
 * @class RepositoryApi
 * @extends {BaseAPI}
 */
export declare class RepositoryApi extends BaseAPI {
    /**
     *
     * @summary Create a repository
     * @param {CreateRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    createCurrentUserRepo(body?: CreateRepoOption, options?: any): Promise<import("axios").AxiosResponse<Repository>>;
    /**
     *
     * @summary Fork a repository
     * @param {string} owner owner of the repo to fork
     * @param {string} repo name of the repo to fork
     * @param {CreateForkOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    createFork(owner: string, repo: string, body?: CreateForkOption, options?: any): Promise<import("axios").AxiosResponse<Repository>>;
    /**
     *
     * @summary Gets the blob of a repository.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    getBlob(owner: string, repo: string, sha: string, options?: any): Promise<import("axios").AxiosResponse<GitBlobResponse>>;
    /**
     *
     * @summary Gets the tag object of an annotated tag (not lightweight tags)
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the tag. The Git tags API only supports annotated tag objects, not lightweight tags.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    getTag(owner: string, repo: string, sha: string, options?: any): Promise<import("axios").AxiosResponse<AnnotatedTag>>;
    /**
     *
     * @summary Gets the tree of a repository.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {boolean} [recursive] show all directories and files
     * @param {number} [page] page number; the &#x27;truncated&#x27; field in the response will be true if there are still more items after this page, false if the last page
     * @param {number} [per_page] number of items per page
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    getTree(owner: string, repo: string, sha: string, recursive?: boolean, page?: number, per_page?: number, options?: any): Promise<import("axios").AxiosResponse<GitTreeResponse>>;
    /**
     *
     * @summary List a repository's forks
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    listForks(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Repository[]>>;
    /**
     *
     * @summary Add a collaborator to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator to add
     * @param {AddCollaboratorOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoAddCollaborator(owner: string, repo: string, collaborator: string, body?: AddCollaboratorOption, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Add a team to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoAddTeam(owner: string, repo: string, team: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Add a topic to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} topic name of the topic to add
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoAddTopc(owner: string, repo: string, topic: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Check if a user is a collaborator of a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCheckCollaborator(owner: string, repo: string, collaborator: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Check if a team is assigned to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCheckTeam(owner: string, repo: string, team: string, options?: any): Promise<import("axios").AxiosResponse<Team>>;
    /**
     *
     * @summary Create a branch
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateBranchRepoOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCreateBranch(owner: string, repo: string, body?: CreateBranchRepoOption, options?: any): Promise<import("axios").AxiosResponse<Branch>>;
    /**
     *
     * @summary Create a branch protections for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateBranchProtectionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCreateBranchProtection(owner: string, repo: string, body?: CreateBranchProtectionOption, options?: any): Promise<import("axios").AxiosResponse<BranchProtection>>;
    /**
     *
     * @summary Create a file in a repository
     * @param {CreateFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to create
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCreateFile(body: CreateFileOptions, owner: string, repo: string, filepath: string, options?: any): Promise<import("axios").AxiosResponse<FileResponse>>;
    /**
     *
     * @summary Create a hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCreateHook(owner: string, repo: string, body?: CreateHookOption, options?: any): Promise<import("axios").AxiosResponse<Hook>>;
    /**
     *
     * @summary Add a key to a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCreateKey(owner: string, repo: string, body?: CreateKeyOption, options?: any): Promise<import("axios").AxiosResponse<DeployKey>>;
    /**
     *
     * @summary Create a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreatePullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCreatePullRequest(owner: string, repo: string, body?: CreatePullRequestOption, options?: any): Promise<import("axios").AxiosResponse<PullRequest>>;
    /**
     *
     * @summary Create a review to an pull request
     * @param {CreatePullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCreatePullReview(body: CreatePullReviewOptions, owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<PullReview>>;
    /**
     *
     * @summary create review requests for a pull request
     * @param {PullReviewRequestOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCreatePullReviewRequests(body: PullReviewRequestOptions, owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<PullReview[]>>;
    /**
     *
     * @summary Create a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {CreateReleaseOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCreateRelease(owner: string, repo: string, body?: CreateReleaseOption, options?: any): Promise<import("axios").AxiosResponse<Release>>;
    /**
     *
     * @summary Create a release attachment
     * @param {string} attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {string} [name] name of the attachment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCreateReleaseAttachment(attachment: string, owner: string, repo: string, id: number, name?: string, options?: any): Promise<import("axios").AxiosResponse<Attachment>>;
    /**
     *
     * @summary Create a commit status
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {CreateStatusOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoCreateStatus(owner: string, repo: string, sha: string, body?: CreateStatusOption, options?: any): Promise<import("axios").AxiosResponse<CommitStatus>>;
    /**
     *
     * @summary Delete a repository
     * @param {string} owner owner of the repo to delete
     * @param {string} repo name of the repo to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDelete(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a specific branch from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} branch branch to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteBranch(owner: string, repo: string, branch: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a specific branch protection for the repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteBranchProtection(owner: string, repo: string, name: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a collaborator from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} collaborator username of the collaborator to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteCollaborator(owner: string, repo: string, collaborator: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a file in a repository
     * @param {DeleteFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteFile(body: DeleteFileOptions, owner: string, repo: string, filepath: string, options?: any): Promise<import("axios").AxiosResponse<FileDeleteResponse>>;
    /**
     *
     * @summary Delete a Git hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteGitHook(owner: string, repo: string, id: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteHook(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a key from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteKey(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a specific review from a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeletePullReview(owner: string, repo: string, index: number, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary cancel review requests for a pull request
     * @param {PullReviewRequestOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeletePullReviewRequests(body: PullReviewRequestOptions, owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteRelease(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteReleaseAttachment(owner: string, repo: string, id: number, attachment_id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a release by tag name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag tag name of the release to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteReleaseByTag(owner: string, repo: string, tag: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a repository's tag by name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag name of tag to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteTag(owner: string, repo: string, tag: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a team from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} team team name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteTeam(owner: string, repo: string, team: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Delete a topic from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} topic name of the topic to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDeleteTopic(owner: string, repo: string, topic: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Dismiss a review for a pull request
     * @param {DismissPullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDismissPullReview(body: DismissPullReviewOptions, owner: string, repo: string, index: number, id: number, options?: any): Promise<import("axios").AxiosResponse<PullReview>>;
    /**
     *
     * @summary Get a pull request diff
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDownloadPullDiff(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<string>>;
    /**
     *
     * @summary Get a pull request patch file
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoDownloadPullPatch(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<string>>;
    /**
     *
     * @summary Edit a repository's properties. Only fields that are set will be changed.
     * @param {string} owner owner of the repo to edit
     * @param {string} repo name of the repo to edit
     * @param {EditRepoOption} [body] Properties of a repo that you can edit
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoEdit(owner: string, repo: string, body?: EditRepoOption, options?: any): Promise<import("axios").AxiosResponse<Repository>>;
    /**
     *
     * @summary Edit a branch protections for a repository. Only fields that are set will be changed
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {EditBranchProtectionOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoEditBranchProtection(owner: string, repo: string, name: string, body?: EditBranchProtectionOption, options?: any): Promise<import("axios").AxiosResponse<BranchProtection>>;
    /**
     *
     * @summary Edit a Git hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {EditGitHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoEditGitHook(owner: string, repo: string, id: string, body?: EditGitHookOption, options?: any): Promise<import("axios").AxiosResponse<GitHook>>;
    /**
     *
     * @summary Edit a hook in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id index of the hook
     * @param {EditHookOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoEditHook(owner: string, repo: string, id: number, body?: EditHookOption, options?: any): Promise<import("axios").AxiosResponse<Hook>>;
    /**
     *
     * @summary Update a pull request. If using deadline only the date will be taken into account, and time of day ignored.
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to edit
     * @param {EditPullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoEditPullRequest(owner: string, repo: string, index: number, body?: EditPullRequestOption, options?: any): Promise<import("axios").AxiosResponse<PullRequest>>;
    /**
     *
     * @summary Update a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to edit
     * @param {EditReleaseOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoEditRelease(owner: string, repo: string, id: number, body?: EditReleaseOption, options?: any): Promise<import("axios").AxiosResponse<Release>>;
    /**
     *
     * @summary Edit a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to edit
     * @param {EditAttachmentOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoEditReleaseAttachment(owner: string, repo: string, id: number, attachment_id: number, body?: EditAttachmentOptions, options?: any): Promise<import("axios").AxiosResponse<Attachment>>;
    /**
     *
     * @summary Get a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGet(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<Repository>>;
    /**
     *
     * @summary Get a list of all commits from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [sha] SHA or branch to start listing commits from (usually &#x27;master&#x27;)
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetAllCommits(owner: string, repo: string, sha?: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Commit[]>>;
    /**
     *
     * @summary Get an archive of a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} archive the git reference for download with attached archive format (e.g. master.zip)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetArchive(owner: string, repo: string, archive: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Retrieve a specific branch from a repository, including its effective branch protection
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} branch branch to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetBranch(owner: string, repo: string, branch: string, options?: any): Promise<import("axios").AxiosResponse<Branch>>;
    /**
     *
     * @summary Get a specific branch protection for the repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} name name of protected branch
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetBranchProtection(owner: string, repo: string, name: string, options?: any): Promise<import("axios").AxiosResponse<BranchProtection>>;
    /**
     *
     * @summary Get a repository by id
     * @param {number} id id of the repo to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetByID(id: number, options?: any): Promise<import("axios").AxiosResponse<Repository>>;
    /**
     *
     * @summary Get a commit's combined status, by branch/tag/commit reference
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref name of branch/tag/commit
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetCombinedStatusByRef(owner: string, repo: string, ref: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<CombinedStatus>>;
    /**
     *
     * @summary Gets the metadata and contents (if a file) of an entry in a repository, or a list of entries if a dir
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the dir, file, symlink or submodule in the repo
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetContents(owner: string, repo: string, filepath: string, ref?: string, options?: any): Promise<import("axios").AxiosResponse<ContentsResponse>>;
    /**
     *
     * @summary Gets the metadata of all the entries of the root dir
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetContentsList(owner: string, repo: string, ref?: string, options?: any): Promise<import("axios").AxiosResponse<ContentsResponse[]>>;
    /**
     *
     * @summary Get the EditorConfig definitions of a file in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath filepath of file to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetEditorConfig(owner: string, repo: string, filepath: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Get a Git hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetGitHook(owner: string, repo: string, id: string, options?: any): Promise<import("axios").AxiosResponse<GitHook>>;
    /**
     *
     * @summary Get a hook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetHook(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<Hook>>;
    /**
     *
     * @summary Get available issue templates for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetIssueTemplates(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<IssueTemplate[]>>;
    /**
     *
     * @summary Get a repository's key by id
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the key to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetKey(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<DeployKey>>;
    /**
     *
     * @summary Get languages and number of bytes of code written
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetLanguages(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<{
        [key: string]: number;
    }>>;
    /**
     *
     * @summary Get a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetPullRequest(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<PullRequest>>;
    /**
     *
     * @summary Get a specific review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetPullReview(owner: string, repo: string, index: number, id: number, options?: any): Promise<import("axios").AxiosResponse<PullReview>>;
    /**
     *
     * @summary Get a specific review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetPullReviewComments(owner: string, repo: string, index: number, id: number, options?: any): Promise<import("axios").AxiosResponse<PullReviewComment[]>>;
    /**
     *
     * @summary Get a file from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath filepath of the file to get
     * @param {string} [ref] The name of the commit/branch/tag. Default the repository’s default branch (usually master)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetRawFile(owner: string, repo: string, filepath: string, ref?: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Get a release
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetRelease(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<Release>>;
    /**
     *
     * @summary Get a release attachment
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {number} attachment_id id of the attachment to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetReleaseAttachment(owner: string, repo: string, id: number, attachment_id: number, options?: any): Promise<import("axios").AxiosResponse<Attachment>>;
    /**
     *
     * @summary Get a release by tag name
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} tag tag name of the release to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetReleaseByTag(owner: string, repo: string, tag: string, options?: any): Promise<import("axios").AxiosResponse<Release>>;
    /**
     *
     * @summary Get a single commit from a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha a git ref or commit sha
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoGetSingleCommit(owner: string, repo: string, sha: string, options?: any): Promise<import("axios").AxiosResponse<Commit>>;
    /**
     *
     * @summary Get specified ref or filtered repository's refs
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListAllGitRefs(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<Reference[]>>;
    /**
     *
     * @summary List branch protections for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListBranchProtection(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<BranchProtection[]>>;
    /**
     *
     * @summary List a repository's branches
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListBranches(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Branch[]>>;
    /**
     *
     * @summary List a repository's collaborators
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListCollaborators(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary List the Git hooks in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListGitHooks(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<GitHook[]>>;
    /**
     *
     * @summary Get specified ref or filtered repository's refs
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref part or full name of the ref
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListGitRefs(owner: string, repo: string, ref: string, options?: any): Promise<import("axios").AxiosResponse<Reference[]>>;
    /**
     *
     * @summary List the hooks in a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListHooks(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Hook[]>>;
    /**
     *
     * @summary List a repository's keys
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [key_id] the key_id to search for
     * @param {string} [fingerprint] fingerprint of the key
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListKeys(owner: string, repo: string, key_id?: number, fingerprint?: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<DeployKey[]>>;
    /**
     *
     * @summary List a repo's pull requests
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [state] State of pull request: open or closed (optional)
     * @param {string} [sort] Type of sort
     * @param {number} [milestone] ID of the milestone
     * @param {Array&lt;number&gt;} [labels] Label IDs
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListPullRequests(owner: string, repo: string, state?: string, sort?: string, milestone?: number, labels?: Array<number>, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<PullRequest[]>>;
    /**
     *
     * @summary List all reviews for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListPullReviews(owner: string, repo: string, index: number, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<PullReview[]>>;
    /**
     *
     * @summary List release's attachments
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the release
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListReleaseAttachments(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<Attachment[]>>;
    /**
     *
     * @summary List a repo's releases
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [per_page] page size of results, deprecated - use limit
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListReleases(owner: string, repo: string, per_page?: number, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Release[]>>;
    /**
     *
     * @summary List a repo's stargazers
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListStargazers(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary Get a commit's statuses
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} sha sha of the commit
     * @param {string} [sort] type of sort
     * @param {string} [state] type of state
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListStatuses(owner: string, repo: string, sha: string, sort?: string, state?: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<CommitStatus[]>>;
    /**
     *
     * @summary Get a commit's statuses, by branch/tag/commit reference
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} ref name of branch/tag/commit
     * @param {string} [sort] type of sort
     * @param {string} [state] type of state
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListStatusesByRef(owner: string, repo: string, ref: string, sort?: string, state?: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<CommitStatus[]>>;
    /**
     *
     * @summary List a repo's watchers
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListSubscribers(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<User[]>>;
    /**
     *
     * @summary List a repository's tags
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results, default maximum page size is 50
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListTags(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<Tag[]>>;
    /**
     *
     * @summary List a repository's teams
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListTeams(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<Team[]>>;
    /**
     *
     * @summary Get list of topics that a repository has
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoListTopics(owner: string, repo: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<TopicName>>;
    /**
     *
     * @summary Merge a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to merge
     * @param {MergePullRequestOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoMergePullRequest(owner: string, repo: string, index: number, body?: MergePullRequestOption, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Migrate a remote git repository
     * @param {MigrateRepoOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoMigrate(body?: MigrateRepoOptions, options?: any): Promise<import("axios").AxiosResponse<Repository>>;
    /**
     *
     * @summary Sync a mirrored repository
     * @param {string} owner owner of the repo to sync
     * @param {string} repo name of the repo to sync
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoMirrorSync(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Check if a pull request has been merged
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoPullRequestIsMerged(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Search for repositories
     * @param {string} [q] keyword
     * @param {boolean} [topic] Limit search to repositories with keyword as topic
     * @param {boolean} [includeDesc] include search of keyword within repository description
     * @param {number} [uid] search only for repos that the user with the given id owns or contributes to
     * @param {number} [priority_owner_id] repo owner to prioritize in the results
     * @param {number} [team_id] search only for repos that belong to the given team id
     * @param {number} [starredBy] search only for repos that the user with the given id has starred
     * @param {boolean} [_private] include private repositories this user has access to (defaults to true)
     * @param {boolean} [is_private] show only pubic, private or all repositories (defaults to all)
     * @param {boolean} [template] include template repositories this user has access to (defaults to true)
     * @param {boolean} [archived] show only archived, non-archived or all repositories (defaults to all)
     * @param {string} [mode] type of repository to search for. Supported values are \&quot;fork\&quot;, \&quot;source\&quot;, \&quot;mirror\&quot; and \&quot;collaborative\&quot;
     * @param {boolean} [exclusive] if &#x60;uid&#x60; is given, search only for repos that the user owns
     * @param {string} [sort] sort repos by attribute. Supported values are \&quot;alpha\&quot;, \&quot;created\&quot;, \&quot;updated\&quot;, \&quot;size\&quot;, and \&quot;id\&quot;. Default is \&quot;alpha\&quot;
     * @param {string} [order] sort order, either \&quot;asc\&quot; (ascending) or \&quot;desc\&quot; (descending). Default is \&quot;asc\&quot;, ignored if \&quot;sort\&quot; is not specified.
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoSearch(q?: string, topic?: boolean, includeDesc?: boolean, uid?: number, priority_owner_id?: number, team_id?: number, starredBy?: number, _private?: boolean, is_private?: boolean, template?: boolean, archived?: boolean, mode?: string, exclusive?: boolean, sort?: string, order?: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<SearchResults>>;
    /**
     *
     * @summary Get signing-key.gpg for given repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoSigningKey(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<string>>;
    /**
     *
     * @summary Submit a pending review to an pull request
     * @param {SubmitPullReviewOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoSubmitPullReview(body: SubmitPullReviewOptions, owner: string, repo: string, index: number, id: number, options?: any): Promise<import("axios").AxiosResponse<PullReview>>;
    /**
     *
     * @summary Test a push webhook
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} id id of the hook to test
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoTestHook(owner: string, repo: string, id: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary List a repo's tracked times
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [user] optional filter by user (available for issue managers)
     * @param {Date} [since] Only show times updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show times updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoTrackedTimes(owner: string, repo: string, user?: string, since?: Date, before?: Date, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<TrackedTime[]>>;
    /**
     *
     * @summary Transfer a repo ownership
     * @param {TransferRepoOption} body Transfer Options
     * @param {string} owner owner of the repo to transfer
     * @param {string} repo name of the repo to transfer
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoTransfer(body: TransferRepoOption, owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<Repository>>;
    /**
     *
     * @summary Cancel to dismiss a review for a pull request
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request
     * @param {number} id id of the review
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoUnDismissPullReview(owner: string, repo: string, index: number, id: number, options?: any): Promise<import("axios").AxiosResponse<PullReview>>;
    /**
     *
     * @summary Update a file in a repository
     * @param {UpdateFileOptions} body
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} filepath path of the file to update
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoUpdateFile(body: UpdateFileOptions, owner: string, repo: string, filepath: string, options?: any): Promise<import("axios").AxiosResponse<FileResponse>>;
    /**
     *
     * @summary Merge PR's baseBranch into headBranch
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {number} index index of the pull request to get
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoUpdatePullRequest(owner: string, repo: string, index: number, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Replace list of topics for a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {RepoTopicOptions} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    repoUpdateTopics(owner: string, repo: string, body?: RepoTopicOptions, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary search topics via keyword
     * @param {string} q keywords to search
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    topicSearch(q: string, page?: number, limit?: number, options?: any): Promise<import("axios").AxiosResponse<TopicResponse[]>>;
    /**
     *
     * @summary Check if the current user is watching a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    userCurrentCheckSubscription(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<WatchInfo>>;
    /**
     *
     * @summary Unwatch a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    userCurrentDeleteSubscription(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<void>>;
    /**
     *
     * @summary Watch a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    userCurrentPutSubscription(owner: string, repo: string, options?: any): Promise<import("axios").AxiosResponse<WatchInfo>>;
    /**
     *
     * @summary List a user's tracked times in a repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} user username of user
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RepositoryApi
     */
    userTrackedTimes(owner: string, repo: string, user: string, options?: any): Promise<import("axios").AxiosResponse<TrackedTime[]>>;
}
